/**
 *  モデル項目詳細定義リポジトリキー
 */
define([
  "dojo/_base/declare"
], function(declare) {
  return declare(null, {
    constructor: function() {
      this.setRepositoryKeys();
    },

    setRepositoryKeys: function() {
      this.modelitemDetailRepositoryKeys = {
        'action/aggregatelist/@type=avg': true,
        'action/aggregatelist/@type=count': true,
        'action/aggregatelist/@type=max': true,
        'action/aggregatelist/@type=min': true,
        'action/aggregatelist/@type=sum': true,
        'action/aggregatelist/format/@type=avg': true,
        'action/aggregatelist/format/@type=count': true,
        'action/aggregatelist/format/@type=max': true,
        'action/aggregatelist/format/@type=min': true,
        'action/aggregatelist/format/@type=sum': true,
        'action/condition/@cond': true,
        'action/condition/@andorsearch': true,
        'modelitem/refcopyForSearch': true,
        'modelitem/refcopyForSearch1': true,
        'modelitem/refcopyForSearch2': true,
        'action/condition/@implicit': true,
        'action/condition/@implicit_2': true,
        'action/condition/@exceptPermaction': true,
        'action/condition/@implicit2': true,
        'action/condition/@implicit2_2': true,
        'action/condition/@exceptPermaction2': true,
        'action/condition/@implicit3': true,
        'action/condition/@implicit3_2': true,
        'action/condition/@exceptPermaction3': true,
        'action/condition/@implicit4': true,
        'action/condition/@implicit4_2': true,
        'action/condition/@exceptPermaction4': true,
        'action/condition/@implicit5': true,
        'action/condition/@implicit5_2': true,
        'action/condition/@exceptPermaction5': true,
        'action/condition/@implicit6': true,
        'action/condition/@implicit6_2': true,
        'action/condition/@exceptPermaction6': true,
        'action/condition/@implicit7': true,
        'action/condition/@implicit7_2': true,
        'action/condition/@exceptPermaction7': true,
        'action/condition/@implicit8': true,
        'action/condition/@implicit8_2': true,
        'action/condition/@exceptPermaction8': true,
        'action/condition/@implicit9': true,
        'action/condition/@implicit9_2': true,
        'action/condition/@exceptPermaction9': true,
        'action/condition/@implicit10': true,
        'action/condition/@implicit10_2': true,
        'action/condition/@exceptPermaction10': true,
        'action/condition/groupdateitemtype': true,
        'action/condition/@unreadStatusSearch': true,
        'action/transactionForCopyInsert': true,
        'action/transactionForCopyInsert_2': true,
        'action/transactionForDelete': true,
        'action/transactionForDelete_2': true,
        'action/transactionForInsert': true,
        'action/transactionForInsert_2': true,
        'action/transactionForUpdate': true,
        'action/transactionForUpdate_2': true,
        'action/uifunction/@layout': true,
        'action/uifunction/@layoutname': true,
        'action/uifunction/@name': true,
        'action/uifunction/@targetitem': true,
        'action/uifunction/@type': true,
        'action/uifunction2/@layout': true,
        'action/uifunction2/@layoutname': true,
        'action/uifunction2/@name': true,
        'action/uifunction2/@targetitem': true,
        'action/uifunction2/@type': true,
        'action/uifunction3/@layout': true,
        'action/uifunction3/@layoutname': true,
        'action/uifunction3/@name': true,
        'action/uifunction3/@targetitem': true,
        'action/uifunction3/@type': true,
        'action/uifunction4/@layout': true,
        'action/uifunction4/@layoutname': true,
        'action/uifunction4/@name': true,
        'action/uifunction4/@targetitem': true,
        'action/uifunction4/@type': true,
        'action/uifunction5/@layout': true,
        'action/uifunction5/@layoutname': true,
        'action/uifunction5/@name': true,
        'action/uifunction5/@targetitem': true,
        'action/uifunction5/@type': true,
        'action/view/item/@aftercontent': true,
        'action/view/item/@beforecontent': true,
        'action/script/transactionScriptExecuteTiming': true,
        'action/script/@insertTransaction': true,
        'action/script/@updateTransaction': true,
        'action/script/@deleteTransaction': true,
        'model/datalock/@name': true,
        'model/modelitem/@alloption': true,
        'model/modelitem/@calendarinput': true,
        'model/modelitem/@calendarinputForSearch': true,
        'model/modelitem/@calendarinputForSearch_2': true,
        'model/modelitem/@calendarinput_2': true,
        'model/modelitem/@copy': true,
        'model/modelitem/@createindex': true,
        'model/modelitem/@csvOutput': true,
        'model/modelitem/@csvUploadUpdate': true,
        'model/modelitem/csvUploadUpdate/@numberformat': true,
        'presentation/displayitem/barcode/camera/@height': true,
        'presentation/displayitem/barcode/camera/@width': true,
        'presentation/displayitem/barcode/camera/@heightForSearch': true,
        'presentation/displayitem/barcode/camera/@widthForSearch': true,
        'presentation/displayitem/barcode/camera/@streamStartOnLoad': true,
        'presentation/displayitem/barcode/camera/@streamStartOnLoadForSearch': true,
        'presentation/displayitem/barcode/@type': true,
        'presentation/displayitem/barcode/@typeForSearch': true,
        'model/modelitem/@dateautoformat': true,
        'model/modelitem/@defaultSize': true,
        'model/modelitem/@dualinputmethod': true,
        'model/modelitem/@filter': true,
        'model/modelitem/@flowstatussearch': true,
        // temporarily commented  'model/modelitem/@hasGenerationListModel': true,
        'model/modelitem/formula': true,
        'model/modelitem/@icopy': true,
        'model/modelitem/icopy/@trigger_button_number': true,
        'model/modelitem/inherit/rdbdatatype': true,
        'model/modelitem/@icopyaction': true,
        'model/modelitem/@manualfilter': true,
        'model/modelitem/@maxOccurs': true,
        'model/modelitem/@multiple': true,
        'model/modelitem/@note': true,
        'model/modelitem/@old_name': true,
        'model/modelitem/@outsideKey': true,
        'model/modelitem/@outsideKeyRefname': true,
        'model/modelitem/@primaryKey': true,
        'model/modelitem/@rangeCondition': true,
        'model/modelitem/@rdbcolumnname': true,
        'model/modelitem/@rdbdatatype': true,
        'model/modelitem/@selectinput=Hm': true,
        'model/modelitem/@selectinput=Hm_2': true,
        'model/modelitem/@sortKey': true,
        'model/modelitem/@textsearch': true,
        'model/modelitem/@textsearchInFile': true,
        'model/modelitem/@textsearchSuggestMethod': true,
        'model/modelitem/@textsearchSuggestPageSize': true,
        'model/modelitem/@textsearchTitle': true,
        'model/modelitem/@transient': true,
        'model/modelitem/@wizard': true,
        'model/modelitem/@zeroClear': true,
        'model/modelitem/action/@multiple': true,
        'model/modelitem/action/@multiple_2': true,
        'model/modelitem/autocalc': true,
        'model/modelitem/autocalc_2': true,
        'model/modelitem/chartype=alphabet': true,
        'model/modelitem/chartype=alphabet_2': true,
        'model/modelitem/chartype=any-character': true,
        'model/modelitem/chartype=any-character_2': true,
        'model/modelitem/chartype=date': true,
        'model/modelitem/chartype=date:yyyyMM': true,
        'model/modelitem/chartype=date:yyyyMM_2': true,
        'model/modelitem/chartype=date:yyyyMMdd': true,
        'model/modelitem/chartype=date:yyyyMMdd_2': true,
        'model/modelitem/chartype=date_2': true,
        'model/modelitem/chartype=hankaku-alphabet': true,
        'model/modelitem/chartype=hankaku-alphabet_2': true,
        'model/modelitem/chartype=hankaku-katakana': true,
        'model/modelitem/chartype=hankaku-katakana_2': true,
        'model/modelitem/chartype=hankaku-kigou': true,
        'model/modelitem/chartype=hankaku-kigou_2': true,
        'model/modelitem/chartype=hankaku-lower-alphabet': true,
        'model/modelitem/chartype=hankaku-lower-alphabet_2': true,
        'model/modelitem/chartype=hankaku-number': true,
        'model/modelitem/chartype=hankaku-number_2': true,
        'model/modelitem/chartype=hankaku-upper-alphabet': true,
        'model/modelitem/chartype=hankaku-upper-alphabet_2': true,
        'model/modelitem/chartype=hiragana': true,
        'model/modelitem/chartype=hiragana_2': true,
        'model/modelitem/chartype=katakana': true,
        'model/modelitem/chartype=katakana_2': true,
        'model/modelitem/chartype=kigou': true,
        'model/modelitem/chartype=kigou_2': true,
        'model/modelitem/chartype=mailaddress': true,
        'model/modelitem/chartype=mailaddress_2': true,
        'model/modelitem/chartype=number': true,
        'model/modelitem/chartype=number_2': true,
        'model/modelitem/chartype=whitespace': true,
        'model/modelitem/chartype=whitespace_2': true,
        'model/modelitem/chartype=zenkaku-alphabet': true,
        'model/modelitem/chartype=zenkaku-alphabet_2': true,
        'model/modelitem/chartype=zenkaku-katakana': true,
        'model/modelitem/chartype=zenkaku-katakana_2': true,
        'model/modelitem/chartype=zenkaku-kigou': true,
        'model/modelitem/chartype=zenkaku-kigou_2': true,
        'model/modelitem/chartype=zenkaku-lower-alphabet': true,
        'model/modelitem/chartype=zenkaku-lower-alphabet_2': true,
        'model/modelitem/chartype=zenkaku-number': true,
        'model/modelitem/chartype=zenkaku-number_2': true,
        'model/modelitem/chartype=zenkaku-upper-alphabet': true,
        'model/modelitem/chartype=zenkaku-upper-alphabet_2': true,
        'model/modelitem/consistency': true,
        'model/modelitem/consistency_2': true,
        'model/modelitem/constraint/@type=disabled': true,
        'model/modelitem/constraint/@type=disabled_2': true,
        'model/modelitem/constraint/@type=enabled': true,
        'model/modelitem/constraint/@type=enabled_2': true,
        'model/modelitem/copyto/@jfcstartworkstate': true,
        'model/modelitem/copyto/@jfcsuspendworkstate': true,
        'model/modelitem/defaultValue[@action=init]': true,
        'model/modelitem/defaultValue[@action=init]_2': true,
        'model/modelitem/defaultValue[@action=insert]': true,
        'model/modelitem/defaultValue[@action=insert]_2': true,
        'model/modelitem/defaultValue[@action=searchForEnd]': true,
        'model/modelitem/defaultValue[@action=searchForEnd]_2': true,
        'model/modelitem/defaultValue[@action=search]': true,
        'model/modelitem/defaultValue[@action=search]_2': true,
        'model/modelitem/defaultValue[@action=selectForEnd]': true,
        'model/modelitem/defaultValue[@action=selectForEnd]_2': true,
        'model/modelitem/defaultValue[@action=select]': true,
        'model/modelitem/defaultValue[@action=select]_2': true,
        'model/modelitem/defaultValue[@action=show]': true,
        'model/modelitem/defaultValue[@action=show]_2': true,
        'model/modelitem/defaultValue[@action=update]': true,
        'model/modelitem/defaultValue[@action=update]_2': true,
        'model/modelitem/@displayPermission': true,
        'model/modelitem/@displayPermissionForSearch': true,
        'model/modelitem/@fixSize': true,
        'model/modelitem/format': true,
        'model/modelitem/formatUserSetting': true,
        'model/modelitem/generic_check1': true,
        'model/modelitem/generic_check1_2': true,
        'model/modelitem/generic_check1_3': true,
        'model/modelitem/generic_check2': true,
        'model/modelitem/generic_check2_2': true,
        'model/modelitem/generic_check2_3': true,
        'model/modelitem/generic_check3': true,
        'model/modelitem/generic_check3_2': true,
        'model/modelitem/generic_check3_3': true,
        'model/modelitem/generic_check4': true,
        'model/modelitem/generic_check4_2': true,
        'model/modelitem/generic_check4_3': true,
        'model/modelitem/generic_check5': true,
        'model/modelitem/generic_check5_2': true,
        'model/modelitem/generic_check5_3': true,
        'model/modelitem/inputsupport/furigana/@srcitem': true,
        'model/modelitem/inputsupport/furigana/@chartype': true,
        'model/modelitem/inputsupport/phonenumber/@separate': true,
        'model/modelitem/limit': true,
        'model/modelitem/limit_2': true,
        'model/modelitem/maxlength': true,
        'model/modelitem/noselection': true,
        'model/modelitem/noselectionForSearch': true,
        'model/modelitem/notequal': true,
        'model/modelitem/notequal_2': true,
        'model/modelitem/notnull': true,
        'model/modelitem/notnullForSelect': true,
        'model/modelitem/range': true,
        'model/modelitem/range_2': true,
        'model/modelitem/regexp': true,
        'model/modelitem/regexp_2': true,
        // temporarily commented  'model/modelitem/relation/@copyrolecontent': true,
        // temporarily commented  'model/modelitem/relation/@navigation': true,
        'model/modelitem/relation/@refstoretype': true,
        'model/modelitem/relation/@restrictcontainer': true,
        // temporarily commented  'model/modelitem/relation/@revlink': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source1': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source1_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond1': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond1_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@target1': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction1': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source2_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond2_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@target2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source3': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source3_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond3': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond3_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@target3': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction3': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source4': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source4_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond4': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond4_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@target4': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction4': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source5': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source5_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond5': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond5_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@target5': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction5': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source6': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source6_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond6': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond6_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@target6': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction6': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source7': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source7_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond7': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond7_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@target7': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction7': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source8': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source8_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond8': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond8_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@target8': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction8': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source9': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source9_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond9': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond9_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@target9': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction9': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source10': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@source10_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond10': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond10_2': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@target10': true,
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction10': true,
        'model/modelitem/relation/restrictparamlistForSearch': true,
        'model/modelitem/relation/restrictparamlistForSearch/@ignoreInvalidOptions': true,
        'model/modelitem/relation/restrictparamlist/@ignoreInvalidOptions': true,
        'model/modelitem/relation/restrictparamlist/@sort': true,
        'model/modelitem/relation/restrictparamlist/@sort_2': true,
        'model/modelitem/relation/@autoSelectFirstData': true,
        // temporarily commented  'model/modelitem/relation_masterref/@displaynotcheckeditem': true,
        // temporarily commented  'model/modelitem/relation_masterref/@init': true,
        // temporarily commented  'model/modelitem/relation_masterref/@init_select': true,
        // temporarily commented  'model/modelitem/relation_masterref/@roleorder': true,
        // temporarily commented  'model/modelitem/relation_masterref/@sortrule': true,
        // temporarily commented  'model/modelitem/relation_storeref/@displaynotcheckeditem': true,
        'model/modelitem/relation_storeref/@ignoreRolevalidInCondition': true,
        // temporarily commented  'model/modelitem/relation_storeref/@restrict': true,
        // temporarily commented  'model/modelitem/relation_storeref/@rolecontent': true,
        // temporarily commented  'model/modelitem/relation_storeref/@roleid': true,
        // temporarily commented  'model/modelitem/relation_storeref/@roleid_2': true,
        // temporarily commented  'model/modelitem/relation_storeref/@roleorder': true,
        // temporarily commented  'model/modelitem/relation_storeref/@rolepriority': true,
        // temporarily commented  'model/modelitem/relation_storeref/@rolevalid': true,
        // temporarily commented  'model/modelitem/relation_storeref/@sortrule': true,
        'model/modelitem/same': true,
        'model/modelitem/same_2': true,
        'model/modelitem/searchtype': true,
        'model/modelitem/selfref': true,
        'model/modelitem/storeref/@autocompleteForSearch': true,
        'model/modelitem/@sync': true,
        'model/modelitem/@sync_2': true,
        'model/modelitem/unique': true,
        'model/modelitem/@updatePermission': true,
        'model/modelitem/updatePermission/@clear': true,
        'model/modelitem/urlinfo/@displayfield': true,
        'model/modelitem/urlinfo/@target': true,
        //  'model/modelitem/zipcodeinfo/@addressfield': true,
        'model/modelitem/userDefinedItem': true,
        'model/primaryKey/@autoid': true,
        'model/primaryKey/@branch': true,
        'model/primaryKey/@start': true,
        'model/primaryKey/@notUseAutoidAtCopyInsert': true,
        'model/primaryKey/keyRule/@format': true,
        'model/primaryKey/keyRule/@formatSeparator': true,
        'model/primaryKey/keyRule/@formatUserSetting': true,
        'model/primaryKey/keyRule/@type=padding': true,
        'model/primaryKey/keyRule/@type=prefix': true,
        'model/primaryKey/keyRule/yearkind': true,
        'modelitem/directcopy': true,
        'modelitem/directcopy_2': true,
        'modelitem/filesize': true,
        'modelitem/filesize_2': true,
        'presentation/displayitem/@actionButtonVisible': true,
        'presentation/displayitem/@actionbuttonlabel': true,
        'presentation/displayitem/@align': true,
        'presentation/displayitem/@alignForShowList': true,
        'presentation/displayitem/@autotips': true,
        'presentation/displayitem/@autotipsForSearch': true,
        'presentation/displayitem/@autotipsForUpdate': true,
        'presentation/displayitem/@checkAcceptFileExt': true,
        'presentation/displayitem/@clear': true,
        'presentation/displayitem/@cols': true,
        'presentation/displayitem/@columnsize': true,
        'presentation/displayitem/@columnsizeForShowList': true,
        'presentation/displayitem/@displayRoleid': true,
        'presentation/displayitem/@displaycontrol': true,
        'presentation/displayitem/@displaylabel=false': true,
        'presentation/displayitem/@barGauge': true,
        'presentation/displayitem/@barGaugeColor': true,
        'presentation/displayitem/@barGaugeColorForShowList': true,
        'presentation/displayitem/@barGaugeForShowList': true,
        'presentation/displayitem/@barGaugeMaxValue': true,
        'presentation/displayitem/@barGaugeMaxValueForShowList': true,
        'presentation/displayitem/@barGaugeUnit': true,
        'presentation/displayitem/@barGaugeUnitForShowList': true,
        'presentation/displayitem/@dualSelectInput': true,
        'presentation/displayitem/@enterKeyAction': true,
        'presentation/displayitem/@enterKeyActionForSearch': true,
        'presentation/displayitem/handwriting/@height': true,
        'presentation/displayitem/handwriting/@heightForShowList': true,
        'presentation/displayitem/handwriting/@width': true,
        'presentation/displayitem/handwriting/@widthForShowList': true,
        'presentation/displayitem/@height': true,
        'presentation/displayitem/@heightForShowList': true,
        'presentation/displayitem/@hidden': true,
        'presentation/displayitem/@hidden_copy': true,
        'presentation/displayitem/@hidden_insert': true,
        'presentation/displayitem/@hidden_update': true,
        'presentation/displayitem/@hidden_updatelist': true,
        'presentation/displayitem/@hidden_updatelistInParent': true,
        'presentation/displayitem/@imageheightForshow': true,
        'presentation/displayitem/@imageheightForshowList': true,
        'presentation/displayitem/@imagesizeunitForshow': true,
        'presentation/displayitem/@imagesizeunitForshowList': true,
        'presentation/displayitem/@imagewidthForshow': true,
        'presentation/displayitem/@imagewidthForshowList': true,
        'presentation/displayitem/@ime': true,
        'presentation/displayitem/@inputmaxlength': true,
        'presentation/displayitem/@inputmaxlengthForSearch': true,
        'presentation/displayitem/inputtype/pseudo_checkbox': true,
        'presentation/displayitem/inputtype/pseudo_checkbox/value': true,
        'presentation/displayitem/@labelalign': true,
        'presentation/displayitem/@labelalignForSearch': true,
        'presentation/displayitem/@labelalignForShow': true,
        'presentation/displayitem/@labelalignForShowList': true,
        'presentation/displayitem/@labelheight': true,
        'presentation/displayitem/@labelheightForSearch': true,
        'presentation/displayitem/@labelheightForShowList': true,
        'presentation/displayitem/@labelnameForSearch': true,
        'presentation/displayitem/@labelnameForShow': true,
        'presentation/displayitem/@labelnameForShowList': true,
        'presentation/displayitem/@labelnowrap': true,
        'presentation/displayitem/@labelnowrapForSearch': true,
        'presentation/displayitem/@labelnowrapForShowList': true,
        'presentation/displayitem/@labelstyleForShow': true,
        'presentation/displayitem/@labelstyleForShowList': true,
        'presentation/displayitem/@labelstyleForSearch': true,
        'presentation/displayitem/@labelvalignForSearch': true,
        'presentation/displayitem/@labelvalignForShow': true,
        'presentation/displayitem/@labelvalignForShowList': true,
        'presentation/displayitem/@labelwidth': true,
        'presentation/displayitem/@labelwidthForSearch': true,
        'presentation/displayitem/@labelwidthForShowList': true,
        'presentation/displayitem/@maxlengthForShowList': true,
        'presentation/displayitem/@multipleSeparator': true,
        'presentation/displayitem/@multipleSeparatorForShow': true,
        'presentation/displayitem/@nendoBeginMonth': true,
        'presentation/displayitem/@nowrap': true,
        'presentation/displayitem/@nowrapForShowList': true,
        'presentation/displayitem/@numberformat': true,
        'presentation/displayitem/@numberformatCombo': true,
        'presentation/displayitem/@onChange=this.form.submit': true,
        'presentation/displayitem/@outputfilename': true,
        'presentation/displayitem/@outputfilenameForshowList': true,
        'presentation/displayitem/@outputfilenamehref': true,
        'presentation/displayitem/@outputfilenamehrefForshowList': true,
        'presentation/displayitem/@paddingForSearch': true,
        'presentation/displayitem/@poststring': true,
        'presentation/displayitem/@prestring': true,
        'presentation/displayitem/@readonly': true,
        'presentation/displayitem/@readonlyForSearch': true,
        'presentation/displayitem/@readonly_copy': true,
        'presentation/displayitem/@readonly_insert': true,
        'presentation/displayitem/@readonly_update': true,
        'presentation/displayitem/@readonly_updatelist': true,
        'presentation/displayitem/@readonly_updatelist_copy': true,
        'presentation/displayitem/@readonly_updatelist_insert': true,
        'presentation/displayitem/@readonly_updatelist_update': true,
        'presentation/displayitem/@readonly_updatelistInParent': true,
        'presentation/displayitem/@readonly_updatelistInParent_copy': true,
        'presentation/displayitem/@readonly_updatelistInParent_insert': true,
        'presentation/displayitem/@readonly_updatelistInParent_update': true,
        'presentation/displayitem/richtextarea/@height': true,
        'presentation/displayitem/richtextarea/@width': true,
        'presentation/displayitem/richtextarea/plugin/@color': true,
        'presentation/displayitem/richtextarea/plugin/@fontsize': true,
        'presentation/displayitem/richtextarea/plugin/@indent': true,
        'presentation/displayitem/richtextarea/plugin/@layout': true,
        'presentation/displayitem/richtextarea/plugin/@list': true,
        'presentation/displayitem/richtextarea/plugin/@style': true,
        'presentation/displayitem/richtextarea/extraplugin/@insertImage': true,
        'presentation/displayitem/richtextarea/extraplugin/@viewsource': true,
        'presentation/displayitem/@rows': true,
        'presentation/displayitem/@ruby': true,
        'presentation/displayitem/@rubyForShowList': true,
        'presentation/displayitem/@rubystyle': true,
        'presentation/displayitem/@rubystyleForShowList': true,
        'presentation/displayitem/@separateForSearch': true,
        'presentation/displayitem/textarea/@showNumOfRemainingChar': true,
        'presentation/displayitem/@size': true,
        'presentation/displayitem/@sizeForSearch': true,
        'presentation/displayitem/@sortbutton': true,
        'presentation/displayitem/@storerefdisplay': true,
        'presentation/displayitem/@style': true,
        'presentation/displayitem/@styleForShowList': true,
        'presentation/displayitem/@style_inputall': true,
        'presentation/displayitem/@style_inputall_2': true,
        'presentation/displayitem/@style_insert': true,
        'presentation/displayitem/@style_insert_2': true,
        'presentation/displayitem/@style_update': true,
        'presentation/displayitem/@style_update_2': true,
        'presentation/displayitem/@style_copy': true,
        'presentation/displayitem/@style_copy_2': true,
        'presentation/displayitem/@style_updatelist': true,
        'presentation/displayitem/@style_updatelist_2': true,
        'presentation/displayitem/@style_updatelistInParent': true,
        'presentation/displayitem/@style_updatelistInParent_2': true,
        'presentation/displayitem/@alignForEdit': true,
        'presentation/displayitem/@valignForEdit': true,
        'presentation/displayitem/@cursorPosition': true,
        'presentation/displayitem/@subformatForEdit': true,
        'presentation/displayitem/@subformatForSearch': true,
        'presentation/displayitem/@subformatForShow': true,
        'presentation/displayitem/@textarea2label': true,
        'presentation/displayitem/@textarea2labelForShowList': true,
        'presentation/displayitem/@tabindex': true,
        'presentation/displayitem/@tips': true,
        'presentation/displayitem/@tipsForSearch': true,
        'presentation/displayitem/@tipsForShow': true,
        'presentation/displayitem/@tipsForUpdate': true,
        'presentation/displayitem/@tipslabel': true,
        'presentation/displayitem/@tipslabelForSearch': true,
        'presentation/displayitem/@tipslabelForShow': true,
        'presentation/displayitem/@tipslabelForUpdate': true,
        'presentation/displayitem/@type': true,
        'presentation/displayitem/@type=count': true,
        'presentation/displayitem/@type=count_2': true,
        'presentation/displayitem/@typeForSearch': true,
        'presentation/displayitem/@typeForSearchBarcode': true,
        'presentation/displayitem/@typeForSearchMain': true,
        'presentation/displayitem/@typeForSearchSub': true,
        'presentation/displayitem/@typeForShow=hidden': true,
        'presentation/displayitem/@typeForShowList=hidden': true,
        'presentation/displayitem/@typeForShowListInParent=hidden': true,
        'presentation/displayitem/@type_ext': true,
        'presentation/displayitem/@urlImageActive': true,
        'presentation/displayitem/@urlImageActiveForshowList': true,
        'presentation/displayitem/@urlImageEnlarge': true,
        'presentation/displayitem/@useCheckYNimage': true,
        'presentation/displayitem/@useCheckYNimageForShowList': true,
        'presentation/displayitem/@valign': true,
        'presentation/displayitem/@valignForShowList': true,
        'presentation/displayitem/@valueClass': true,
        'presentation/displayitem/@width': true,
        'presentation/displayitem/@widthForShowList': true,
        'presentation/displayitem/displaychart/@axisLabel': true,
        'presentation/displayitem/displaychart/@axisLabelForShow': true,
        'presentation/displayitem/displaychart/@color': true,
        'presentation/displayitem/displaychart/@colorForShow': true,
        'presentation/displayitem/displaychart/@heightForShow': true,
        'presentation/displayitem/displaychart/@heightForShowList': true,
        'presentation/displayitem/displaychart/@dataItemNamesForShow': true,
        'presentation/displayitem/displaychart/@label': true,
        'presentation/displayitem/displaychart/@labelForShow': true,
        'presentation/displayitem/displaychart/@title': true,
        'presentation/displayitem/displaychart/@titleForShow': true,
        'presentation/displayitem/displaychart/@outputItemIdForShow': true,
        'presentation/displayitem/displaychart/@type': true,
        'presentation/displayitem/displaychart/@typeForShow': true,
        'presentation/displayitem/displaychart/@widthForShow': true,
        'presentation/displayitem/displaychart/@widthForShowList': true,
        'presentation/displayitem/displaytext/@position=field': true,
        'presentation/displayitem/displaytext/@position=fieldForSearch': true,
        'presentation/displayitem/displaytext/@position=fieldForShow': true,
        'presentation/displayitem/displaytext/@position=fieldForUpdate': true,
        'presentation/displayitem/displaytext/@position=label': true,
        'presentation/displayitem/displaytext/@position=labelForSearch': true,
        'presentation/displayitem/displaytext/@position=labelForShow': true,
        'presentation/displayitem/displaytext/@position=labelForUpdate': true,
        'presentation/displayitem/displaytext[@position=field]/@style': true,
        'presentation/displayitem/displaytext[@position=field]/@styleForSearch': true,
        'presentation/displayitem/displaytext[@position=field]/@styleForShow': true,
        'presentation/displayitem/displaytext[@position=field]/@styleForUpdate': true,
        'presentation/displayitem/displaytext[@position=label]/@style': true,
        'presentation/displayitem/displaytext[@position=label]/@styleForSearch': true,
        'presentation/displayitem/displaytext[@position=label]/@styleForShow': true,
        'presentation/displayitem/displaytext[@position=label]/@styleForUpdate': true,
        'presentation/displayitem/@tooltip': true,
        'presentation/displayitem/@tooltipForUpdate': true,
        'presentation/displayitem/@tooltipForSearch': true,
        'presentation/displayitem/@tooltipForShow': true,
        'presentation/displayitem/@placeholder': true,
        'presentation/displayitem/@placeholderForUpdate': true,
        'presentation/displayitem/@placeholderForSearch': true,
        'presentation/displayitem[@type=textarea]/@cols': true,
        'presentation/displayitem[@type=textarea]/@rows': true,
        'presentation/displaymodel/@foldableForContainer': true,
        'presentation/displaymodel/@foldedForContainer': true,
        'presentation/displaymodel/@overflowForContainer': true,
        'presentation/displaymodel/@heightForContainer': true,
        'presentation/displaymodel/link[@action="Add"]/@label': true,
        'presentation/displaymodel/link[@action="Add"]/@showcondition': true,
        'presentation/displaymodel/link[@action="Add"]/@showconditionCondition': true,
        'presentation/displaymodel/link[@action="Delete"]/@label': true,
        'presentation/displaymodel/link[@action="Delete"]/@showcondition': true,
        'presentation/displaymodel/link[@action="Delete"]/@showconditionCondition': true,
        'presentation/displaymodel/link[@action="Insert"]/@label': true,
        'presentation/displaymodel/link[@action="Insert"]/@showcondition': true,
        'presentation/displaymodel/link[@action="Insert"]/@showconditionCondition': true,
        'presentation/displaymodel/link[@action="Move"]/@showcondition': true,
        'presentation/displaymodel/link[@action="Move"]/@showconditionCondition': true,
        // temporarily commented  'ref_model/@name': true,
        // temporarily commented  'ref_model/modelitem/@name': true
        // temporarily commented  'ref_model/modelitem/@primaryKey': true,
        'ref_model/modelitem/@type': true
      };

      this.modelitemDetailSamePrefixRepositoryKeys = {
        "action/condition/@implicit2_2": "action/condition/@implicit_2",
        "action/condition/@implicit3_2": "action/condition/@implicit_2",
        "action/condition/@implicit4_2": "action/condition/@implicit_2",
        "action/condition/@implicit5_2": "action/condition/@implicit_2",
        "action/condition/@implicit6_2": "action/condition/@implicit_2",
        "action/condition/@implicit7_2": "action/condition/@implicit_2",
        "action/condition/@implicit8_2": "action/condition/@implicit_2",
        "action/condition/@implicit9_2": "action/condition/@implicit_2",
        "action/condition/@implicit10_2": "action/condition/@implicit_2",
        "action/condition/@implicit2": "action/condition/@implicit",
        "action/condition/@implicit3": "action/condition/@implicit",
        "action/condition/@implicit4": "action/condition/@implicit",
        "action/condition/@implicit5": "action/condition/@implicit",
        "action/condition/@implicit6": "action/condition/@implicit",
        "action/condition/@implicit7": "action/condition/@implicit",
        "action/condition/@implicit8": "action/condition/@implicit",
        "action/condition/@implicit9": "action/condition/@implicit",
        "action/condition/@implicit10": "action/condition/@implicit",
        "action/condition/@exceptPermaction2": "action/condition/@exceptPermaction",
        "action/condition/@exceptPermaction3": "action/condition/@exceptPermaction",
        "action/condition/@exceptPermaction4": "action/condition/@exceptPermaction",
        "action/condition/@exceptPermaction5": "action/condition/@exceptPermaction",
        "action/condition/@exceptPermaction6": "action/condition/@exceptPermaction",
        "action/condition/@exceptPermaction7": "action/condition/@exceptPermaction",
        "action/condition/@exceptPermaction8": "action/condition/@exceptPermaction",
        "action/condition/@exceptPermaction9": "action/condition/@exceptPermaction",
        "action/condition/@exceptPermaction10": "action/condition/@exceptPermaction",
        "action/uifunction2/@layout": "action/uifunction/@layout",
        "action/uifunction2/@layoutname": "action/uifunction/@layoutname",
        "action/uifunction2/@name": "action/uifunction/@name",
        "action/uifunction2/@targetitem": "action/uifunction/@targetitem",
        "action/uifunction2/@type": "action/uifunction/@type",
        "action/uifunction3/@layout": "action/uifunction/@layout",
        "action/uifunction3/@layoutname": "action/uifunction/@layoutname",
        "action/uifunction3/@name": "action/uifunction/@name",
        "action/uifunction3/@targetitem": "action/uifunction/@targetitem",
        "action/uifunction3/@type": "action/uifunction/@type",
        "action/uifunction4/@layout": "action/uifunction/@layout",
        "action/uifunction4/@layoutname": "action/uifunction/@layoutname",
        "action/uifunction4/@name": "action/uifunction/@name",
        "action/uifunction4/@targetitem": "action/uifunction/@targetitem",
        "action/uifunction4/@type": "action/uifunction/@type",
        "action/uifunction5/@layout": "action/uifunction/@layout",
        "action/uifunction5/@layoutname": "action/uifunction/@layoutname",
        "action/uifunction5/@name": "action/uifunction/@name",
        "action/uifunction5/@targetitem": "action/uifunction/@targetitem",
        "action/uifunction5/@type": "action/uifunction/@type",
        'model/modelitem/chartype=mailaddress': 'model/modelitem/chartype',
        'model/modelitem/chartype=date': 'model/modelitem/chartype',
        'model/modelitem/chartype=date_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=date:yyyyMMdd': 'model/modelitem/chartype',
        'model/modelitem/chartype=date:yyyyMMdd_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=date:yyyyMM': 'model/modelitem/chartype',
        'model/modelitem/chartype=date:yyyyMM_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=number': 'model/modelitem/chartype',
        'model/modelitem/chartype=number_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=hankaku-number': 'model/modelitem/chartype',
        'model/modelitem/chartype=hankaku-number_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=zenkaku-number': 'model/modelitem/chartype',
        'model/modelitem/chartype=zenkaku-number_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=alphabet': 'model/modelitem/chartype',
        'model/modelitem/chartype=alphabet_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=hankaku-alphabet': 'model/modelitem/chartype',
        'model/modelitem/chartype=hankaku-alphabet_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=hankaku-upper-alphabet': 'model/modelitem/chartype',
        'model/modelitem/chartype=hankaku-upper-alphabet_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=hankaku-lower-alphabet': 'model/modelitem/chartype',
        'model/modelitem/chartype=hankaku-lower-alphabet_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=zenkaku-alphabet': 'model/modelitem/chartype',
        'model/modelitem/chartype=zenkaku-alphabet_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=zenkaku-upper-alphabet': 'model/modelitem/chartype',
        'model/modelitem/chartype=zenkaku-upper-alphabet_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=zenkaku-lower-alphabet': 'model/modelitem/chartype',
        'model/modelitem/chartype=zenkaku-lower-alphabet_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=hiragana': 'model/modelitem/chartype',
        'model/modelitem/chartype=hiragana_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=katakana': 'model/modelitem/chartype',
        'model/modelitem/chartype=katakana_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=hankaku-katakana': 'model/modelitem/chartype',
        'model/modelitem/chartype=hankaku-katakana_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=zenkaku-katakana': 'model/modelitem/chartype',
        'model/modelitem/chartype=zenkaku-katakana_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=kigou': 'model/modelitem/chartype',
        'model/modelitem/chartype=kigou_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=hankaku-kigou': 'model/modelitem/chartype',
        'model/modelitem/chartype=hankaku-kigou_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=zenkaku-kigou': 'model/modelitem/chartype',
        'model/modelitem/chartype=zenkaku-kigou_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=whitespace': 'model/modelitem/chartype',
        'model/modelitem/chartype=whitespace_2': 'model/modelitem/chartype=mailaddress_2',
        'model/modelitem/chartype=any-character': 'model/modelitem/chartype',
        'model/modelitem/constraint/@type=disabled_2': 'model/modelitem/constraint/@type=enabled_2',
        'model/modelitem/defaultValue[@action=search]': 'model/modelitem/defaultValue[@action=init]',
        'model/modelitem/defaultValue[@action=searchForEnd]': 'model/modelitem/defaultValue[@action=init]',
        'model/modelitem/defaultValue[@action=insert]': 'model/modelitem/defaultValue[@action=init]',
        'model/modelitem/defaultValue[@action=insert]_2': 'model/modelitem/defaultValue[@action=init]_2',
        'model/modelitem/defaultValue[@action=selectForEnd]': 'model/modelitem/defaultValue[@action=init]',
        'model/modelitem/defaultValue[@action=searchForEnd]_2': 'model/modelitem/defaultValue[@action=init]_2',
        'model/modelitem/defaultValue[@action=search]_2': 'model/modelitem/defaultValue[@action=init]_2',
        'model/modelitem/defaultValue[@action=selectForEnd]_2': 'model/modelitem/defaultValue[@action=init]_2',
        'model/modelitem/defaultValue[@action=select]': 'model/modelitem/defaultValue[@action=init]',
        'model/modelitem/defaultValue[@action=select]_2': 'model/modelitem/defaultValue[@action=init]_2',
        'model/modelitem/defaultValue[@action=show]': 'model/modelitem/defaultValue[@action=init]',
        'model/modelitem/defaultValue[@action=show]_2': 'model/modelitem/defaultValue[@action=init]_2',
        'model/modelitem/defaultValue[@action=update]': 'model/modelitem/defaultValue[@action=init]',
        'model/modelitem/defaultValue[@action=update]_2': 'model/modelitem/defaultValue[@action=init]_2',
        'model/modelitem/noselectionForSearch': 'model/modelitem/noselection',
        'model/modelitem/relation/restrictparamlist/restrictparam/@target2': 'model/modelitem/relation/restrictparamlist/restrictparam/@target1',
        'model/modelitem/relation/restrictparamlist/restrictparam/@target3': 'model/modelitem/relation/restrictparamlist/restrictparam/@target1',
        'model/modelitem/relation/restrictparamlist/restrictparam/@target4': 'model/modelitem/relation/restrictparamlist/restrictparam/@target1',
        'model/modelitem/relation/restrictparamlist/restrictparam/@target5': 'model/modelitem/relation/restrictparamlist/restrictparam/@target1',
        'model/modelitem/relation/restrictparamlist/restrictparam/@target6': 'model/modelitem/relation/restrictparamlist/restrictparam/@target1',
        'model/modelitem/relation/restrictparamlist/restrictparam/@target7': 'model/modelitem/relation/restrictparamlist/restrictparam/@target1',
        'model/modelitem/relation/restrictparamlist/restrictparam/@target8': 'model/modelitem/relation/restrictparamlist/restrictparam/@target1',
        'model/modelitem/relation/restrictparamlist/restrictparam/@target9': 'model/modelitem/relation/restrictparamlist/restrictparam/@target1',
        'model/modelitem/relation/restrictparamlist/restrictparam/@target10': 'model/modelitem/relation/restrictparamlist/restrictparam/@target1',
        "presentation/displayitem/@autotipsForSearch": "presentation/displayitem/@autotips",
        "presentation/displayitem/@autotipsForUpdate": "presentation/displayitem/@autotips",
        'presentation/displayitem/barcode/@typeForSearch': 'presentation/displayitem/barcode/@type',
        'presentation/displayitem/displaychart/@axisLabelForShow': 'presentation/displayitem/displaychart/@axisLabel',
        'presentation/displayitem/displaychart/@colorForShow': 'presentation/displayitem/displaychart/@color',
        'presentation/displayitem/displaychart/@heightForShow': 'presentation/displayitem/displaychart/@heightForShowList',
        'presentation/displayitem/displaychart/@labelForShow': 'presentation/displayitem/displaychart/@label',
        'presentation/displayitem/displaychart/@titleForShow': 'presentation/displayitem/displaychart/@title',
        'presentation/displayitem/displaychart/@typeForShow': 'presentation/displayitem/displaychart/@type',
        'presentation/displayitem/displaychart/@widthForShow': 'presentation/displayitem/displaychart/@widthForShowList',
        'presentation/displayitem/displaytext/@position=labelForSearch': 'presentation/displayitem/displaytext/@position=label',
        'presentation/displayitem/displaytext/@position=labelForShow': 'presentation/displayitem/displaytext/@position=label',
        'presentation/displayitem/displaytext/@position=labelForUpdate': 'presentation/displayitem/displaytext/@position=label',
        'presentation/displayitem/displaytext/@position=fieldForUpdate': 'presentation/displayitem/displaytext/@position=field',
        'presentation/displayitem/displaytext/@position=fieldForSearch': 'presentation/displayitem/displaytext/@position=field',
        'presentation/displayitem/displaytext/@position=fieldForShow': 'presentation/displayitem/displaytext/@position=field',
        'presentation/displayitem/displaytext[@position=field]/@styleForSearch': 'presentation/displayitem/displaytext[@position=field]/@style',
        'presentation/displayitem/displaytext[@position=field]/@styleForShow': 'presentation/displayitem/displaytext[@position=field]/@style',
        'presentation/displayitem/displaytext[@position=field]/@styleForUpdate': 'presentation/displayitem/displaytext[@position=field]/@style',
        'presentation/displayitem/displaytext[@position=label]/@styleForSearch': 'presentation/displayitem/displaytext[@position=label]/@style',
        'presentation/displayitem/displaytext[@position=label]/@styleForShow': 'presentation/displayitem/displaytext[@position=label]/@style',
        'presentation/displayitem/displaytext[@position=label]/@styleForUpdate': 'presentation/displayitem/displaytext[@position=label]/@style',
        'presentation/displayitem/@tooltipForUpdate': 'presentation/displayitem/@tooltip',
        'presentation/displayitem/@tooltipForSearch': 'presentation/displayitem/@tooltip',
        'presentation/displayitem/@tooltipForShow': 'presentation/displayitem/@tooltip',
        'presentation/displayitem/@placeholderForUpdate': 'presentation/displayitem/@placeholder',
        'presentation/displayitem/@placeholderForSearch': 'presentation/displayitem/@placeholder',
        "presentation/displayitem/@enterKeyActionForSearch": "presentation/displayitem/@enterKeyAction",
        "presentation/displayitem/@hidden_copy": "presentation/displayitem/@hidden",
        "presentation/displayitem/@hidden_insert": "presentation/displayitem/@hidden",
        "presentation/displayitem/@hidden_update": "presentation/displayitem/@hidden",
        "presentation/displayitem/@hidden_updatelist": "presentation/displayitem/@hidden",
        "presentation/displayitem/@hidden_updatelistInParent": "presentation/displayitem/@hidden",
        'presentation/displayitem/@imagesizeunitForshowList': 'presentation/displayitem/@imagesizeunitForshow',
        "presentation/displayitem/@outputfilenameForshowList": "presentation/displayitem/@outputfilename",
        "presentation/displayitem/@outputfilenamehrefForshowList": "presentation/displayitem/@outputfilenamehref",
        "presentation/displayitem/@readonly_copy": "presentation/displayitem/@readonly",
        "presentation/displayitem/@readonly_insert": "presentation/displayitem/@readonly",
        "presentation/displayitem/@readonly_update": "presentation/displayitem/@readonly",
        "presentation/displayitem/@readonly_updatelist": "presentation/displayitem/@readonly",
        "presentation/displayitem/@readonly_updatelist_copy": "presentation/displayitem/@readonly",
        "presentation/displayitem/@readonly_updatelist_insert": "presentation/displayitem/@readonly",
        "presentation/displayitem/@readonly_updatelist_update": "presentation/displayitem/@readonly",
        "presentation/displayitem/@readonly_updatelistInParent": "presentation/displayitem/@readonly",
        "presentation/displayitem/@readonly_updatelistInParent_copy": "presentation/displayitem/@readonly",
        "presentation/displayitem/@readonly_updatelistInParent_insert": "presentation/displayitem/@readonly",
        "presentation/displayitem/@readonly_updatelistInParent_update": "presentation/displayitem/@readonly",
        "presentation/displayitem/@subformatForSearch": "presentation/displayitem/@subformatForEdit",
        "presentation/displayitem/@subformatForShow": "presentation/displayitem/@subformatForEdit",
        "presentation/displayitem/@style_insert_2": "presentation/displayitem/@style_inputall_2",
        "presentation/displayitem/@style_update_2": "presentation/displayitem/@style_inputall_2",
        "presentation/displayitem/@style_copy_2": "presentation/displayitem/@style_inputall_2",
        "presentation/displayitem/@style_updatelist_2": "presentation/displayitem/@style_inputall_2",
        "presentation/displayitem/@style_updatelistInParent_2": "presentation/displayitem/@style_inputall_2",
        "presentation/displayitem/@tipsForSearch": "presentation/displayitem/@tips",
        "presentation/displayitem/@tipsForShow": "presentation/displayitem/@tips",
        "presentation/displayitem/@tipsForUpdate": "presentation/displayitem/@tips",
        'presentation/displayitem/@tipslabelForSearch': 'presentation/displayitem/@tipslabel',
        'presentation/displayitem/@tipslabelForShow': 'presentation/displayitem/@tipslabel',
        'presentation/displayitem/@tipslabelForUpdate': 'presentation/displayitem/@tipslabel',
        "presentation/displayitem/@urlImageActiveForshowList": "presentation/displayitem/@urlImageActive",
        "presentation/displayitem/@useCheckYNimageForShowList": "presentation/displayitem/@useCheckYNimage",
        'presentation/displaymodel/link[@action="Insert"]/@showcondition': 'presentation/displaymodel/link[@action="Add"]/@showcondition',
        'presentation/displaymodel/link[@action="Insert"]/@showconditionCondition': 'presentation/displaymodel/link[@action="Add"]/@showconditionCondition',
        'presentation/displaymodel/link[@action="Insert"]/@label': 'presentation/displaymodel/link[@action="Add"]/@label',
        'presentation/displaymodel/link[@action="Delete"]/@showcondition': 'presentation/displaymodel/link[@action="Add"]/@showcondition',
        'presentation/displaymodel/link[@action="Delete"]/@showconditionCondition': 'presentation/displaymodel/link[@action="Add"]/@showconditionCondition',
        'presentation/displaymodel/link[@action="Delete"]/@label': 'presentation/displaymodel/link[@action="Add"]/@label',
        'presentation/displaymodel/link[@action="Move"]/@showcondition': 'presentation/displaymodel/link[@action="Add"]/@showcondition',
        'presentation/displaymodel/link[@action="Move"]/@showconditionCondition': 'presentation/displaymodel/link[@action="Add"]/@showconditionCondition',
        'presentation/displaymodel/link[@action="Move"]/@label': 'presentation/displaymodel/link[@action="Add"]/@label',
        'presentation/displayitem/@barGaugeForShowList': 'presentation/displayitem/@barGauge',
        'presentation/displayitem/@barGaugeMaxValueForShowList': 'presentation/displayitem/@barGaugeMaxValue',
        'presentation/displayitem/@barGaugeUnitForShowList': 'presentation/displayitem/@barGaugeUnit',
        'presentation/displayitem/@barGaugeColorForShowList': 'presentation/displayitem/@barGaugeColor',
      };
    },

    getModelitemFormatOptions: function(jfcRes, locale) {
      if (locale === "ja") {
        return [
          {label: "", value: " "},
          {label: jfcRes.OPTION_model_modelitem_format_1, value: "平成○○年MM月dd日"},
          {label: jfcRes.OPTION_model_modelitem_format_2, value: "平成○○年M月d日"},
          {label: jfcRes.OPTION_model_modelitem_format_3, value: "平成○○年MM月"},
          {label: jfcRes.OPTION_model_modelitem_format_4, value: "平成○○年M月"},
          {label: jfcRes.OPTION_model_modelitem_format_5, value: "平成○○年"},
          {label: jfcRes.OPTION_model_modelitem_format_6, value: "H○○年MM月dd日"},
          {label: jfcRes.OPTION_model_modelitem_format_7, value: "H○○年M月d日"},
          {label: jfcRes.OPTION_model_modelitem_format_8, value: "H○○年MM月"},
          {label: jfcRes.OPTION_model_modelitem_format_9, value: "H○○年M月"},
          {label: jfcRes.OPTION_model_modelitem_format_10, value: "H○○年"},
          {label: jfcRes.OPTION_model_modelitem_format_11, value: "H○○"},
          {label: jfcRes.OPTION_model_modelitem_format_12, value: "H○○-MM-dd"},
          {label: jfcRes.OPTION_model_modelitem_format_13, value: "H○○-M-d"},
          {label: jfcRes.OPTION_model_modelitem_format_14, value: "H○○-MM"},
          {label: jfcRes.OPTION_model_modelitem_format_15, value: "H○○-M"},
          {label: jfcRes.OPTION_model_modelitem_format_16, value: "H○○/MM/dd"},
          {label: jfcRes.OPTION_model_modelitem_format_17, value: "H○○/M/d"},
          {label: jfcRes.OPTION_model_modelitem_format_18, value: "H○○/MM"},
          {label: jfcRes.OPTION_model_modelitem_format_19, value: "H○○/M"},
          {label: jfcRes.OPTION_model_modelitem_format_24, value: "yyyy年MM月dd日"},
          {label: jfcRes.OPTION_model_modelitem_format_26, value: "yyyy-MM-dd"},
          {label: jfcRes.OPTION_model_modelitem_format_28, value: "yyyy/MM/dd"},
          {label: jfcRes.OPTION_model_modelitem_format_32, value: "yyyyMMdd"},
          {label: jfcRes.OPTION_model_modelitem_format_34, value: "yyyy年MM月"},
          {label: jfcRes.OPTION_model_modelitem_format_38, value: "yyyy/MM"},
          {label: jfcRes.OPTION_model_modelitem_format_42, value: "yyyyMM"},
          {label: jfcRes.OPTION_model_modelitem_format_44, value: "yyyy年"},
          {label: jfcRes.OPTION_model_modelitem_format_45, value: "yyyy"},
          {label: jfcRes.OPTION_model_modelitem_format_46, value: "yyyy-MM-dd HH:mm:ss"},
          {label: jfcRes.OPTION_model_modelitem_format_47, value: "yyyy/MM/dd HH:mm:ss"},
          {label: jfcRes.OPTION_model_modelitem_format_50, value: "HH:mm:ss"},
          {label: jfcRes.OPTION_model_modelitem_format_51, value: "HHmmss"},
          {label: jfcRes.OPTION_model_modelitem_format_53, value: "HH:mm"},
          {label: jfcRes.OPTION_model_modelitem_format_54, value: "HHmm"},
          {label: jfcRes.OPTION_model_modelitem_format_56, value:"HH" }
        ];
      } else {
        return [
          {label: "", value: " "},
          {label: jfcRes.OPTION_model_modelitem_format_26, value: "yyyy-MM-dd"},
          {label: jfcRes.OPTION_model_modelitem_format_28, value: "yyyy/MM/dd"},
          {label: jfcRes.OPTION_model_modelitem_format_32, value: "yyyyMMdd"},
          {label: jfcRes.OPTION_model_modelitem_format_38, value: "yyyy/MM"},
          {label: jfcRes.OPTION_model_modelitem_format_42, value: "yyyyMM"},
          {label: jfcRes.OPTION_model_modelitem_format_45, value: "yyyy"},
          {label: jfcRes.OPTION_model_modelitem_format_46, value: "yyyy-MM-dd HH:mm:ss"},
          {label: jfcRes.OPTION_model_modelitem_format_47, value: "yyyy/MM/dd HH:mm:ss"},
          {label: jfcRes.OPTION_model_modelitem_format_50, value: "HH:mm:ss"},
          {label: jfcRes.OPTION_model_modelitem_format_51, value: "HHmmss"},
          {label: jfcRes.OPTION_model_modelitem_format_53, value: "HH:mm"},
          {label: jfcRes.OPTION_model_modelitem_format_54, value: "HHmm"},
          {label: jfcRes.OPTION_model_modelitem_format_56, value:"HH" }
        ];
      }
    },

    getDisplayitemSubformatOptions: function(jfcRes, locale) {
      if (locale === "ja") {
        return [
          {label: "", value: " "},
          {label: jfcRes.OPTION_presentation_displayitem_subformatForEdit_1, value: "wareki_y"}, // （平成○年）
          {label: jfcRes.OPTION_presentation_displayitem_subformatForEdit_2, value: "wareki_ym"}, // （平成○年○月）
          {label: jfcRes.OPTION_presentation_displayitem_subformatForEdit_3, value: "wareki_ymd"}, // （平成○年○月○日）
          {label: jfcRes.OPTION_presentation_displayitem_subformatForEdit_4, value: "dayOfWeek"}, // （○曜日）
          {label: jfcRes.OPTION_presentation_displayitem_subformatForEdit_5, value: "oneCharacterDayOfWeek"}, // （月）[曜日を1文字で表現]
          {label: jfcRes.OPTION_presentation_displayitem_subformatForEdit_6, value: "wareki_ymd_dayOfWeek"} // （平成○年○月○日○曜日）
        ];
      } else {
        return [
          {label: "", value: " "},
          {label: jfcRes.OPTION_presentation_displayitem_subformatForEdit_4, value: "dayOfWeek"}, // （○曜日）
          {label: jfcRes.OPTION_presentation_displayitem_subformatForEdit_5, value: "oneCharacterDayOfWeek"}, // （月）[曜日を1文字で表現]
        ];
      }
    },

    getPrimaryKeyKeyRuleFormat: function(jfcRes, locale) {
      if (locale === "ja") {
        return [
          {label: "", value: " "},
          {label: jfcRes.OPTION_model_primaryKey_keyRule_format_1, value: "prefix_delimiter_sequence"}, // [接頭語][区切文字][順序]
          {label: jfcRes.OPTION_model_primaryKey_keyRule_format_2, value: "wareki_delimiter_sequence"}, // 平成○○[区切文字][順序]
          {label: jfcRes.OPTION_model_primaryKey_keyRule_format_3, value: "warekiOneCharacter_delimiter_sequence"}, // 平○○[区切文字][順序]
          {label: jfcRes.OPTION_model_primaryKey_keyRule_format_4, value: "warekiAlphabet_delimiter_sequence"}, // H○○[区切文字][順序]
          {label: jfcRes.OPTION_model_primaryKey_keyRule_format_5, value: "yyyy_delimiter_sequence"} // YYYY[区切文字][順序]
        ];
      } else {
        return [
          {label: "", value: " "},
          {label: jfcRes.OPTION_model_primaryKey_keyRule_format_1, value: "prefix_delimiter_sequence"}, // [接頭語][区切文字][順序]
          {label: jfcRes.OPTION_model_primaryKey_keyRule_format_5, value: "yyyy_delimiter_sequence"} // YYYY[区切文字][順序]
        ];
      }
    },

    getModelitemFilter: function(jfcRes, locale) {
      if (locale === "ja") {
        return [
          {label: "", value: " "},
          {label: jfcRes.OPTION_model_modelitem_filter_1, value: "commonFilter", selected: true}, // 文字列(一般)
          {label: jfcRes.OPTION_model_modelitem_filter_2, value: "minimumFilter"}, // 文字列(最小限)
          {label: jfcRes.OPTION_model_modelitem_filter_3, value: "dateFilter"}, // 日付型
          {label: jfcRes.OPTION_model_modelitem_filter_4, value: "intFilter"}, // 数字型
          {label: jfcRes.OPTION_model_modelitem_filter_5, value: "singleToDoubleByteCharacterFilter"}, // 半角->全角
          {label: jfcRes.OPTION_model_modelitem_filter_6, value: "singleToDoubleByteCharacterKanaFilter"}, // 半角->全角(カナのみ)
          {label: jfcRes.OPTION_model_modelitem_filter_7, value: "singleToDoubleByteCharacterWithSpaceFilter"}, // 半角->全角(空白を含む)
          {label: jfcRes.OPTION_model_modelitem_filter_8, value: "doubleToSingleByteCharacterFilter"}, // 全角->半角
          {label: jfcRes.OPTION_model_modelitem_filter_9, value: "doubleToSingleByteCharacterWithSpaceFilter"} // 全角->半角(空白を含む)
        ];
      } else {
        return [
          {label: "", value: " "},
          {label: jfcRes.OPTION_model_modelitem_filter_1, value: "commonFilter", selected: true}, // 文字列(一般)
          {label: jfcRes.OPTION_model_modelitem_filter_2, value: "minimumFilter"}, // 文字列(最小限)
          {label: jfcRes.OPTION_model_modelitem_filter_3, value: "dateFilter"}, // 日付型
          {label: jfcRes.OPTION_model_modelitem_filter_4, value: "intFilter"}, // 数字型
        ];
      }
    },

    getModelitemDetailWidgetOptions: function(jfcRes, locale) {
      var errorOrCaution = [
        {label: "", value: " ", selected: true},
        {label: jfcRes.OPTION_errorOrCaution_1, value: "error"}, // ○
        {label: jfcRes.OPTION_errorOrCaution_2, value: "warning"} // 警告
      ];
      var caution = [
        {label: "", value: " "},
        {label: jfcRes.OPTION_caution_1, value: "warning"} // 警告
      ];
      var restrictparam_source_option = [
        {label: "", value: " "},
        {label: jfcRes.OPTION_restrictparam_source_option_1, value: "itemname"}, // 項目名
        {label: jfcRes.OPTION_restrictparam_source_option_2, value: "fixedValue"} // 固定値
      ];
      var restrictparam_cond_option = [
        {label: "", value: " "},
        {label: jfcRes.OPTION_restrictparam_cond_option_1, value: "ge"}, // 以上
        {label: jfcRes.OPTION_restrictparam_cond_option_2, value: "le"}, // 以下
        {label: jfcRes.OPTION_restrictparam_cond_option_3, value: "gt"}, // より大きい
        {label: jfcRes.OPTION_restrictparam_cond_option_4, value: "lt"}, // より小さい
        {label: jfcRes.OPTION_restrictparam_cond_option_5, value: "eq"}, // 等しい
        {label: jfcRes.OPTION_restrictparam_cond_option_6, value: "neq"}, // 等しくない
        {label: jfcRes.OPTION_restrictparam_cond_option_7, value: "partial"} // 文字列の部分一致
      ];
      var restrictparam_cond_2_option = [
        {label: "", value: " "},
        {label: jfcRes.OPTION_restrictparam_cond_2_option_1, value: "upper"}, // 上
        {label: jfcRes.OPTION_restrictparam_cond_2_option_2, value: "lower"} // 下
      ];
      var restrictparam_nullaction_option = [
        {label: "", value: " "},
        {label: jfcRes.OPTION_restrictparam_nullaction_option_1, value: "ignore"}, // 絞込条件にしない
        {label: jfcRes.OPTION_restrictparam_nullaction_option_2, value: "empty"} // 選択肢を作らない
      ];

      return {
        'action/aggregatelist/@type=avg': {
          category: "output",
          label: jfcRes.LABEL_action_aggregatelist_type_avg,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'action/aggregatelist/@type=count': {
          category: "output",
          label: jfcRes.LABEL_action_aggregatelist_type_count,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'action/aggregatelist/@type=max': {
          category: "output",
          label: jfcRes.LABEL_action_aggregatelist_type_max,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'action/aggregatelist/@type=min': {
          category: "output",
          label: jfcRes.LABEL_action_aggregatelist_type_min,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'action/aggregatelist/@type=sum': {
          category: "output",
          label: jfcRes.LABEL_action_aggregatelist_type_sum,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'action/aggregatelist/format/@type=avg': {
          category: "output",
          style: "width: 50%;"
        },
        'action/aggregatelist/format/@type=count': {
          category: "output",
          style: "width: 50%;"
        },
        'action/aggregatelist/format/@type=max': {
          category: "output",
          style: "width: 50%;"
        },
        'action/aggregatelist/format/@type=min': {
          category: "output",
          style: "width: 50%;"
        },
        'action/aggregatelist/format/@type=sum': {
          category: "output",
          style: "width: 50%;"
        },
        'presentation/displayitem/@cols': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_cols,
          type: "validationTextbox",
          style: "width: 50px;"
        },
        'presentation/displayitem/@columnsize': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_columnsize,
          type: "validationTextbox"
        },
        'presentation/displayitem/@columnsizeForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_columnsizeForShowList
        },
        'presentation/displayitem/@rows': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_rows,
          type: "validationTextbox",
          style: "width: 50px;"
        },
        'presentation/displayitem/@ruby': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_ruby
        },
        'presentation/displayitem/@rubyForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_ruby
        },
        'presentation/displayitem/@rubystyle': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_rubystyle
        },
        'presentation/displayitem/@rubystyleForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_rubystyle
        },
        'presentation/displayitem/@separateForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_separateForSearch,
          type: "select",
          options: [
            {label: jfcRes.OPTION_presentation_displayitem_separateForSearch_1, value: ""},
            {label: jfcRes.OPTION_presentation_displayitem_separateForSearch_2, value: "100%"}
          ]
        },
        'presentation/displayitem/textarea/@showNumOfRemainingChar': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_textarea_showNumOfRemainingChar,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@size': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_size,
          type: "numberTextbox",
          style: "width: 90px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/@sizeForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_size,
          type: "numberTextbox",
          style: "width: 90px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/@tabindex': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_tabindex,
          type: "numberTextbox",
          style: "width: 60px;",
          constraints: {pattern: "####"}
        },
        'presentation/displayitem/@tips': {
          category: "help",
          type: "textarea",
          label: jfcRes.LABEL_presentation_displayitem_tips
        },
        'presentation/displayitem/@tipslabel': {
          category: "help",
          label: jfcRes.LABEL_presentation_displayitem_tipslabel
        },
        'presentation/displayitem/@type=count': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_type_count,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@type=count_2': {
          category: "input",
          type: "validationTextbox",
          style: "width: 100px;"
        },
        'presentation/displayitem/@typeForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_typeForSearch,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@typeForSearchBarcode': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_typeForSearchBarcode,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@typeForSearchMain': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_typeForSearchMain,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@typeForSearchSub': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_typeForSearchSub,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'action/condition/@cond': {
          category: "search",
          label: jfcRes.LABEL_action_condition_cond,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_action_condition_cond_1, value: "ge"}, // 以上
            {label: jfcRes.OPTION_action_condition_cond_2, value: "le"}, // 以下
            {label: jfcRes.OPTION_action_condition_cond_3, value: "gt"}, // より大きい
            {label: jfcRes.OPTION_action_condition_cond_4, value: "lt"}, // より小さい
            {label: jfcRes.OPTION_action_condition_cond_5, value: "eq"}, // 等しい
            {label: jfcRes.OPTION_action_condition_cond_6, value: "neq"}, // 等しくない
            {label: jfcRes.OPTION_action_condition_cond_7, value: "partial"}, // 文字列の部分一致
            {label: jfcRes.OPTION_action_condition_cond_8, value: "prefix"}, // 文字列の前方一致
            {label: jfcRes.OPTION_action_condition_cond_9, value: "postfix"}, // 文字列の後方一致
            {label: jfcRes.OPTION_action_condition_cond_10, value: "partial_runtime"} // 文字列の部分一致(実行時指定)
          ]
        },
        'action/condition/@andorsearch': {
          category: "search",
          label: jfcRes.LABEL_action_condition_andorsearch,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'modelitem/refcopyForSearch': {
          category: "search",
          label: jfcRes.LABEL_modelitem_refcopyForSearch
        },
        'modelitem/refcopyForSearch1': {
          category: "search",
          type: "filteringSelect",
          required: false,
          event: "none"
        },
        'modelitem/refcopyForSearch2': {
          category: "search",
          type: "filteringSelect",
          required: false,
          event: "none"
        },
        'action/condition/@implicit': {
          category: "implicit",
          label: jfcRes.LABEL_action_condition_implicit,
          type: "textarea",
          style: "width: 90%;",
          useFunctionDialog: true,
        },
        'action/condition/@implicit_2': {
          category: "implicit",
          label: jfcRes.LABEL_action_condition_implicit,
          type: "select",
          style: "width: 120px;",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_action_condition_implicit_2_1, value: "ge"}, // 以上
            {label: jfcRes.OPTION_action_condition_implicit_2_2, value: "le"}, // 以下
            {label: jfcRes.OPTION_action_condition_implicit_2_3, value: "gt"}, // より大きい
            {label: jfcRes.OPTION_action_condition_implicit_2_4, value: "lt"}, // より小さい
            {label: jfcRes.OPTION_action_condition_implicit_2_5, value: "eq"}, // 等しい
            {label: jfcRes.OPTION_action_condition_implicit_2_6, value: "neq"}, // 等しくない
            {label: jfcRes.OPTION_action_condition_implicit_2_7, value: "partial"}, // 文字列の部分一致
            {label: jfcRes.OPTION_action_condition_implicit_2_8, value: "prefix"}, // 文字列の前方一致
            {label: jfcRes.OPTION_action_condition_implicit_2_9, value: "postfix"} // 文字列の後方一致
          ]
        },
        'action/condition/@exceptPermaction': {
          category: "implicit",
          label: jfcRes.LABEL_action_condition_exceptPermaction
        },
        'action/transactionForInsert': {
          category: "detail",
          label: jfcRes.LABEL_action_transactionForInsert,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'action/transactionForInsert_2': {
          category: "detail",
          label: jfcRes.LABEL_action_transactionForInsert_2
        },
        'action/transactionForUpdate': {
          category: "detail",
          label: jfcRes.LABEL_action_transactionForUpdate,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'action/transactionForUpdate_2': {
          category: "detail",
          label: jfcRes.LABEL_action_transactionForUpdate_2
        },
        'action/transactionForDelete': {
          category: "detail",
          label: jfcRes.LABEL_action_transactionForDelete,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'action/transactionForDelete_2': {
          category: "detail",
          label: jfcRes.LABEL_action_transactionForDelete_2
        },
        'action/transactionForCopyInsert': {
          category: "detail",
          label: jfcRes.LABEL_action_transactionForCopyInsert,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'action/transactionForCopyInsert_2': {
          category: "detail",
          label: jfcRes.LABEL_action_transactionForCopyInsert_2
        },
        'action/uifunction/@layout': {
          category: "other",
          label: jfcRes.LABEL_action_uifunction_layout,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_action_uifunction_layout_1, value: "field-right"},
            {label: jfcRes.OPTION_action_uifunction_layout_2, value: "field-left"},
            {label: jfcRes.OPTION_action_uifunction_layout_3, value: "group-right"},
            {label: jfcRes.OPTION_action_uifunction_layout_4, value: "group-left"},
          ],
        },
        'action/uifunction/@layoutname': {
          category: "other",
          label: jfcRes.LABEL_action_uifunction_layoutname,
        },
        'action/uifunction/@name': {
          category: "other",
          label: jfcRes.LABEL_action_uifunction_name,
        },
        'action/uifunction/@targetitem': {
          category: "other",
          label: jfcRes.LABEL_action_uifunction_targetitem,
          type: "textarea",
        },
        'action/uifunction/@type': {
          category: "other",
          label: jfcRes.LABEL_action_uifunction_type,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_action_uifunction_type_1, value: "copy"},
            {label: jfcRes.OPTION_action_uifunction_type_2, value: "clear"},
            {label: jfcRes.OPTION_action_uifunction_type_3, value: "nop"},
          ],
        },
        'action/condition/groupdateitemtype': {
          category: "detail",
          label: jfcRes.LABEL_action_condition_groupdateitemtype,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_action_condition_groupdateitemtype_1, value: "userid"}, // ユーザID
            {label: jfcRes.OPTION_action_condition_groupdateitemtype_2, value: "groupid"} // グループID
          ]
        },
        'action/condition/@unreadStatusSearch': {
          category: "search",
          label: jfcRes.LABEL_action_condition_unreadStatusSearch,
          type: "filteringSelect",
          style: "width: 250px;",
          required: false
        },
        'action/script/transactionScriptExecuteTiming': {
          category: "detail",
          label: jfcRes.LABEL_action_script_transactionScriptExecuteTiming,
          type: "select",
          options: [
            {label: jfcRes.OPTION_action_script_transactionScriptExecuteTiming_1, value: "transactionInsertScript"},
            {label: jfcRes.OPTION_action_script_transactionScriptExecuteTiming_2, value: "transactionUpdateScript"},
            {label: jfcRes.OPTION_action_script_transactionScriptExecuteTiming_3, value: "transactionDeleteScript"}
          ],
          event: "none"
        },
        'action/script/@insertTransaction': {
          category: "detail",
          label: jfcRes.LABEL_action_script_insertTransaction,
          type: "scriptEditor"
        },
        'action/script/@updateTransaction': {
          category: "detail",
          label: jfcRes.LABEL_action_script_updateTransaction,
          type: "scriptEditor"
        },
        'action/script/@deleteTransaction': {
          category: "detail",
          label: jfcRes.LABEL_action_script_deleteTransaction,
          type: "scriptEditor"
        },
        'action/view/item/@aftercontent': {
          category: "output",
          label: jfcRes.LABEL_action_view_item_aftercontent
        },
        'action/view/item/@beforecontent': {
          category: "output",
          label: jfcRes.LABEL_action_view_item_beforecontent
        },
        'model/datalock/@name': {
          category: "detail",
          label: jfcRes.LABEL_model_datalock_name,
          type: "validationTextbox",
          style: "width: 100%;"
        },
        'model/modelitem/@alloption': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_alloption,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@calendarinput': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_calendarinput,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_model_modelitem_calendarinput_1, value: "datePicker"}, // カレンダの利用
            {label: jfcRes.OPTION_model_modelitem_calendarinput_2, value: "listbox_y"}, // コンボボックスの利用(年)
            {label: jfcRes.OPTION_model_modelitem_calendarinput_3, value: "listbox_ym"}, // コンボボックスの利用(年月)
            {label: jfcRes.OPTION_model_modelitem_calendarinput_4, value: "listbox_ymd"} // コンボボックスの利用(年月日)
          ]
        },
        'model/modelitem/@calendarinput_2': {
          category: "input"
        },
        'model/modelitem/@calendarinputForSearch': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_calendarinputForSearch,
          type: "select",
          style: "width: 150px;",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_model_modelitem_calendarinput_1, value: "datePicker"}, // カレンダの利用
            {label: jfcRes.OPTION_model_modelitem_calendarinput_2, value: "listbox_y"}, // コンボボックスの利用(年)
            {label: jfcRes.OPTION_model_modelitem_calendarinput_3, value: "listbox_ym"}, // コンボボックスの利用(年月)
            {label: jfcRes.OPTION_model_modelitem_calendarinput_4, value: "listbox_ymd"} // コンボボックスの利用(年月日)
          ]
        },
        'model/modelitem/@calendarinputForSearch_2': {
          category: "search",
          type: "validationTextbox",
          style: "width: 100px;"
        },
        'model/modelitem/chartype=mailaddress_2': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_chartype_mailaddress_2,
          type: "validationTextbox",
          style: "width: 160px;"
        },
        'model/modelitem/chartype=any-character_2': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_chartype_any_character_2,
          type: "textarea",
          style: "width: 160px;"
        },
        'model/modelitem/@copy': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_copy,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@createindex': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_createindex,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@csvOutput': {
          category: "output",
          label: jfcRes.LABEL_model_modelitem_csvOutput,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@csvUploadUpdate': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_csvUploadUpdate,
          type: "select",
          options: [
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_model_modelitem_csvUploadUpdate_1, value: "true"}, // ○
            {label: jfcRes.OPTION_model_modelitem_csvUploadUpdate_2, value: "false"}, // ×
          ]
        },
        'model/modelitem/csvUploadUpdate/@numberformat': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_csvUploadUpdate_numberformat,
          style: "width: 160px;"
        },
        'presentation/displayitem/barcode/camera/@height': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_barcode_camera_height,
          style: "width: 50px",
        },
        'presentation/displayitem/barcode/camera/@width': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_barcode_camera_width,
          style: "width: 50px",
        },
        'presentation/displayitem/barcode/camera/@heightForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_barcode_camera_height,
          style: "width: 50px",
        },
        'presentation/displayitem/barcode/camera/@widthForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_barcode_camera_width,
          style: "width: 50px",
        },
        'presentation/displayitem/barcode/camera/@streamStartOnLoad': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_barcode_camera_streamStartOnLoad,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/barcode/camera/@streamStartOnLoadForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_barcode_camera_streamStartOnLoad,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/barcode/@type': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_barcode_type,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_barcode_type_1, value: "QR"},
            {label: jfcRes.OPTION_presentation_displayitem_barcode_type_2, value: "ean"},
            {label: jfcRes.OPTION_presentation_displayitem_barcode_type_3, value: "code39"},
            {label: jfcRes.OPTION_presentation_displayitem_barcode_type_4, value: "code128"},
            {label: jfcRes.OPTION_presentation_displayitem_barcode_type_5, value: "codabar"},
          ],
          style: "width: 90px;",
        },
        'model/modelitem/@dateautoformat': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_dateautoformat,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@defaultSize': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_defaultSize
        },
        'model/modelitem/@displayPermission': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_displayPermission,
          type: "textarea"
        },
        'model/modelitem/@displayPermissionForSearch': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_displayPermissionForSearch,
          type: "textarea"
        },
        'model/modelitem/generic_check1': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_generic_check1,
          type: "textarea",
          style: "width: 100%;"
        },
        'model/modelitem/generic_check1_2': {
          category: "check",
          type: "select",
          style: "width: 60px;",
          options: caution
        },
        'model/modelitem/generic_check1_3': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_generic_check1_3,
          type: "validationTextbox",
          style: "width: 100%;"
        },
        'model/modelitem/generic_check2': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_generic_check1,
          type: "textarea",
          style: "width: 100%;"
        },
        'model/modelitem/generic_check2_2': {
          category: "check",
          type: "select",
          style: "width: 60px;",
          options: caution
        },
        'model/modelitem/generic_check2_3': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_generic_check1_3,
          type: "validationTextbox",
          style: "width: 100%;"
        },
        'model/modelitem/generic_check3': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_generic_check1,
          type: "textarea",
          style: "width: 100%;"
        },
        'model/modelitem/generic_check3_2': {
          category: "check",
          type: "select",
          style: "width: 60px;",
          options: caution
        },
        'model/modelitem/generic_check3_3': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_generic_check1_3,
          type: "validationTextbox",
          style: "width: 100%;"
        },
        'model/modelitem/generic_check4': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_generic_check1,
          type: "textarea",
          style: "width: 100%;"
        },
        'model/modelitem/generic_check4_2': {
          category: "check",
          type: "select",
          style: "width: 60px;",
          options: caution
        },
        'model/modelitem/generic_check4_3': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_generic_check1_3,
          type: "validationTextbox",
          style: "width: 100%;"
        },
        'model/modelitem/generic_check5': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_generic_check1,
          type: "textarea",
          style: "width: 100%;"
        },
        'model/modelitem/generic_check5_2': {
          category: "check",
          type: "select",
          style: "width: 60px;",
          options: caution
        },
        'model/modelitem/generic_check5_3': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_generic_check1_3,
          type: "validationTextbox",
          style: "width: 100%;"
        },
        'model/modelitem/@dualinputmethod': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_dualinputmethod,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@filter': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_filter,
          type: "select",
          options: this.getModelitemFilter(jfcRes, locale),
        },
        'model/modelitem/@flowstatussearch': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_flowstatussearch,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@icopy': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_icopy,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/icopy/@trigger_button_number': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_icopy_trigger_button_number,
          type: "validationTextbox",
          style: "width: 60px;"
        },
        'model/modelitem/@icopyaction': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_icopyaction,
          type: "textarea",
          useFunctionDialog: true,
        },
        'model/modelitem/@manualfilter': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_manualfilter,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@maxOccurs': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_maxOccurs
        },
        'model/modelitem/inherit/rdbdatatype': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_inherit_rdbdatatype,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@multiple': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_multiple,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@note': {
          category: "other",
          label: jfcRes.LABEL_model_modelitem_note,
          type: "textarea"
        },
        'model/modelitem/@old_name': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_old_name,
          type: "validationTextbox"
        },
        'model/modelitem/@outsideKey': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_outsideKey,
          type: "filteringSelect",
          style: "width: 250px;",
          required: false
        },
        'model/modelitem/@outsideKeyRefname': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_outsideKeyRefname,
          type: "filteringSelect",
          style: "width: 250px;",
          required: false
        },
        'model/modelitem/@sortKey': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_sortKey,
          type: "validationTextbox"
        },
        'model/modelitem/@primaryKey': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_primaryKey,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@rangeCondition': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_rangeCondition,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@selectinput=Hm': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_selectinput_Hm,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_model_modelitem_selectinput_Hm_1, value: "listbox_h"}, // コンボボックスの利用(時)
            {label: jfcRes.OPTION_model_modelitem_selectinput_Hm_2, value: "listbox_hm"}, // コンボボックスの利用(時分)
            {label: jfcRes.OPTION_model_modelitem_selectinput_Hm_3, value: "listbox_hms"} // コンボボックスの利用(時分秒)
          ]
        },
        'model/modelitem/@selectinput=Hm_2': {
          category: "input"
        },
        'model/modelitem/@textsearch': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_textsearch,
          type: "select",
          options:[
            {label: "", value: " "},
            {label: jfcRes.OPTION_model_modelitem_textsearch_1, value: "true"}, // ○
            {label: jfcRes.OPTION_model_modelitem_textsearch_2, value: "suggest"} // サジェストのみ
          ]
        },
        'model/modelitem/@textsearchSuggestMethod': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_textsearchSuggestMethod,
          type: "select",
          options:[
            {label: "", value: " "},
            {label: jfcRes.OPTION_model_modelitem_textsearchSuggestMethod_1, value: "prefix"}, // 前方一致
            {label: jfcRes.OPTION_model_modelitem_textsearchSuggestMethod_2, value: "partial"}, // 部分一致
            {label: jfcRes.OPTION_model_modelitem_textsearchSuggestMethod_3, value: "runtime"} // 任意選択
          ]
        },
        'model/modelitem/@textsearchSuggestPageSize': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_textsearchSuggestPageSize
        },
        'model/modelitem/@textsearchInFile': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_textsearchInFile,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@textsearchTitle': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_textsearchTitle,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@transient': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_transient,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@wizard': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_wizard,
          type: "validationTextbox"
        },
        'model/modelitem/@updatePermission': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_updatePermission,
          type: "textarea"
        },
        'model/modelitem/updatePermission/@clear': {
          category: "detail",
          type: "select",
          style: "width: 110px;",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_model_modelitem_updatePermission_clear_1, value: "override"}, // 空白で上書き
            {label: jfcRes.OPTION_model_modelitem_updatePermission_clear_2, value: "keep"} // 値を保持
          ]
        },
        'model/modelitem/@zeroClear': {
          category: "output",
          label: jfcRes.LABEL_model_modelitem_zeroClear,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/action/@multiple': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_action_multiple,
          type: "select",
          options: [
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_model_modelitem_action_multiple_1, value: "beforeCalc"}, // 自動計算の前
            {label: jfcRes.OPTION_model_modelitem_action_multiple_2, value: "afterCalc"}, // 自動計算の後
            {label: jfcRes.OPTION_model_modelitem_action_multiple_3, value: "beforeInit"}, // 初期値設定の前
            {label: jfcRes.OPTION_model_modelitem_action_multiple_4, value: "afterInit"} // 初期値設定の後
          ]
        },
        'model/modelitem/action/@multiple_2': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_action_multiple_2,
          type: "select",
          options: [
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_model_modelitem_action_multiple_2_1, value: "addFirst"}, // 先頭に追加
            {label: jfcRes.OPTION_model_modelitem_action_multiple_2_2, value: "addLast"}, // 末尾に追加
            {label: jfcRes.OPTION_model_modelitem_action_multiple_2_3, value: "removeFirst"}, // 先頭を削除
            {label: jfcRes.OPTION_model_modelitem_action_multiple_2_4, value: "removeLast"} // 末尾を削除
          ]
        },
        'model/modelitem/autocalc': {
          category: "detail",
          type: "select",
          options: [
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_model_modelitem_autocalc_1, value: "calc"}, // 四則演算
            {label: jfcRes.OPTION_model_modelitem_autocalc_2, value: "age"}, // 年齢
            {label: jfcRes.OPTION_model_modelitem_autocalc_3, value: "requiredTime"}, // 所要時間
            {label: jfcRes.OPTION_model_modelitem_autocalc_4, value: "padding"} // パディング
          ]
        },
        'model/modelitem/autocalc_2': {
          category: "detail",
          type: "textarea",
          useFunctionDialog: true,
        },
        'model/modelitem/chartype': {
          category: "check",
          type: "select",
          options: errorOrCaution,
          style: "width: 60px;"
        },
        'model/modelitem/consistency': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_consistency,
          type: "validationTextbox",
          style: "width: 300px;"
        },
        'model/modelitem/consistency_2': {
          category: "check",
          type: "select",
          style: "width: 110px;",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_model_modelitem_consistency_2_1, value: "ge"}, // 以上
            {label: jfcRes.OPTION_model_modelitem_consistency_2_2, value: "le"}, // 以下
            {label: jfcRes.OPTION_model_modelitem_consistency_2_3, value: "gt"}, // より大きい
            {label: jfcRes.OPTION_model_modelitem_consistency_2_4, value: "lt"}, // より小さい
            {label: jfcRes.OPTION_model_modelitem_consistency_2_5, value: "eq"}, // 等しい
            {label: jfcRes.OPTION_model_modelitem_consistency_2_6, value: "neq"}, // 等しくない
            {label: jfcRes.OPTION_model_modelitem_consistency_2_7, value: "ge_warning"}, // 以上（警告）
            {label: jfcRes.OPTION_model_modelitem_consistency_2_8, value: "le_warning"}, // 以下（警告）
            {label: jfcRes.OPTION_model_modelitem_consistency_2_9, value: "gt_warning"}, // より大きい（警告）
            {label: jfcRes.OPTION_model_modelitem_consistency_2_10, value: "lt_warning"}, // より小さい（警告）
            {label: jfcRes.OPTION_model_modelitem_consistency_2_11, value: "eq_warning"}, // 等しい（警告）
            {label: jfcRes.OPTION_model_modelitem_consistency_2_12, value: "neq_warning"} // 等しくない（警告）
          ]
        },
        'model/modelitem/constraint/@type=enabled': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_constraint_type_enabled
        },
        'model/modelitem/constraint/@type=disabled': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_constraint_type_disabled
        },
        'model/modelitem/constraint/@type=enabled_2': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_constraint_type_enabled,
          type: "select",
          style: "width: 110px;",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_model_modelitem_constraint_type_2_1, value: "override"}, // 空白で上書き
            {label: jfcRes.OPTION_model_modelitem_constraint_type_2_2, value: "keep"} // 値を保持
          ]
        },
        'model/modelitem/copyto/@jfcstartworkstate': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_copyto_jfcstartworkstate,
          type: "filteringSelect",
          style: "width: 250px;",
          required: false
        },
        'model/modelitem/copyto/@jfcsuspendworkstate': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_copyto_jfcsuspendworkstate,
          type: "filteringSelect",
          style: "width: 250px;",
          required: false
        },
        'model/modelitem/defaultValue[@action=init]': {
          category: "default",
          label: jfcRes.LABEL_model_modelitem_defaultValue_action_init,
          type: "select",
          style: "width: 130px;",
          options: [
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_model_modelitem_defaultValue_1, value: "random"}, // 文字列（ランダム）
            {label: jfcRes.OPTION_model_modelitem_defaultValue_2, value: "logonId"}, // ログオンID
            {label: jfcRes.OPTION_model_modelitem_defaultValue_3, value: "group"}, // 所属グループ
            {label: jfcRes.OPTION_model_modelitem_defaultValue_4, value: "calc"}, // 四則演算
            {label: jfcRes.OPTION_model_modelitem_defaultValue_5, value: "javacode"} // Javaコード
          ]
        },
        'model/modelitem/defaultValue[@action=init]_2': {
          category: "default",
          label: jfcRes.LABEL_model_modelitem_defaultValue_action_init,
          type: "textarea",
          useFunctionDialog: true,
        },
        'model/modelitem/@fixSize': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_fixSize,
        },
        'model/modelitem/format': {
          category: "output",
          label: jfcRes.LABEL_model_modelitem_format,
          type: "select",
          options: this.getModelitemFormatOptions(jfcRes, locale),
        },
        'model/primaryKey/keyRule/@formatSeparator': {
          category: "detail",
          label: jfcRes.LABEL_model_primaryKey_keyRule_formatSeparator,
          type: "validationTextbox"
        },
        'model/modelitem/formatUserSetting': {
          category: "output",
          label: jfcRes.LABEL_model_modelitem_formatUserSetting,
          type: "textarea"
        },
        'model/primaryKey/keyRule/@type=padding': {
          category: "detail",
          label: jfcRes.LABEL_model_primaryKey_keyRule_type_padding,
          type: "validationTextbox"
        },
        'model/modelitem/formula': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_formula,
          type: "scriptEditor"
        },
        'model/modelitem/inputsupport/furigana/@srcitem': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_inputsupport_furigana_srcitem,
          type: "filteringSelect",
          required: false
        },
        'model/modelitem/inputsupport/furigana/@chartype': {
          category: "input",
          type: "select",
          style: "width: 80px;",
          options:[
            {label: "", value: " "},
            {label: jfcRes.OPTION_model_modelitem_inputsupport_furigana_chartype_1, value: "katakana"},
            {label: jfcRes.OPTION_model_modelitem_inputsupport_furigana_chartype_2, value: "hiragana"},
          ]
        },
        'model/modelitem/inputsupport/phonenumber/@separate': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_inputsupport_phonenumber_separate,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/limit': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_limit,
          type: "validationTextbox",
          style: "width: 300px;"
        },
        'model/modelitem/limit_2': {
          category: "check",
          type: "select",
          style: "width: 110px;",
          options:[
            {label: "", value: " "},
            {label: jfcRes.OPTION_model_modelitem_limit_2_1, value: "char"},
            {label: jfcRes.OPTION_model_modelitem_limit_2_2, value: "byte"},
            {label: jfcRes.OPTION_model_modelitem_limit_2_3, value: "char_warning"}, // char（警告）
            {label: jfcRes.OPTION_model_modelitem_limit_2_4, value: "byte_warning"} // byte（警告）
          ]
        },
        'model/modelitem/maxlength': {
          category: "output",
          label: jfcRes.LABEL_model_modelitem_maxlength
        },
        'model/modelitem/noselection': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_noselection,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/notequal': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_notequal,
          type: "validationTextbox",
          style: "width: 300px;"
        },
        'model/modelitem/notequal_2': {
          category: "check",
          type: "select",
          style: "width: 110px;",
          options: caution
        },
        'model/modelitem/notnull': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_notnull,
          type: "select",
          style: "width: 60px;",
          options: errorOrCaution
        },
        'model/modelitem/notnullForSelect': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_notnullForSelect,
          type: "select",
          options:[
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_model_modelitem_notnullForSelect_1, value: "error"}, // ○
            {label: jfcRes.OPTION_model_modelitem_notnullForSelect_2, value: "warning"}, // 警告
            {label: jfcRes.OPTION_model_modelitem_notnullForSelect_3, value: "lowerLimitError_upperLimitError"}, // 下限項目:必須、上限項目:必須
            {label: jfcRes.OPTION_model_modelitem_notnullForSelect_4, value: "lowerLimitWarning_upperLimitWarning"}, // 下限項目:警告、上限項目:警告
            {label: jfcRes.OPTION_model_modelitem_notnullForSelect_5, value: "lowerLimitWarning_upperLimitError"}, // 下限項目:警告、上限項目:必須
            {label: jfcRes.OPTION_model_modelitem_notnullForSelect_6, value: "lowerLimitError_upperLimitWarning"}, // 下限項目:必須、上限項目:警告
            {label: jfcRes.OPTION_model_modelitem_notnullForSelect_7, value: "lowerLimitNone_upperLimitError"}, // 下限項目:なし、上限項目:必須
            {label: jfcRes.OPTION_model_modelitem_notnullForSelect_8, value: "lowerLimitNone_upperLimitWarning"}, // 下限項目:なし、上限項目:警告
            {label: jfcRes.OPTION_model_modelitem_notnullForSelect_9, value: "lowerLimitError_upperLimitNone"}, // 下限項目:必須、上限項目:なし
            {label: jfcRes.OPTION_model_modelitem_notnullForSelect_10, value: "lowerLimitWarning_upperLimitNone"} // 下限項目:警告、上限項目:なし
          ]
        },
        'model/modelitem/range': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_range,
          type: "validationTextbox",
          style: "width: 300px;"
        },
        'model/modelitem/range_2': {
          category: "check",
          type: "select",
          style: "width: 110px;",
          options: caution
        },
        'model/modelitem/@rdbcolumnname': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_rdbcolumnname,
          type: "validationTextbox",
          style: "width: 100%;"
        },
        'model/modelitem/@rdbdatatype': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_rdbdatatype,
          type: "validationTextbox",
          style: "width: 100%;"
        },
        'model/modelitem/regexp': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_regexp,
          type: "validationTextbox",
          style: "width: 300px;"
        },
        'model/modelitem/regexp_2': {
          category: "check",
          type: "select",
          style: "width: 110px;",
          options: caution
        },
        'model/modelitem/relation/@restrictcontainer': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictcontainer,
          type: "textarea"
        },
        'model/modelitem/relation/@refstoretype': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_relation_refstoretype,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_model_modelitem_relation_refstoretype_1, value: "thisModel"}, // 自モデル
            {label: jfcRes.OPTION_model_modelitem_relation_refstoretype_2, value: "refModel"} // 参照先のモデル
          ]
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@source1': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_source1,
          type: "select",
          style: "width: 80px;",
          options: restrictparam_source_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond1': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_cond1,
          type: "select",
          style: "width: 120px;",
          options: restrictparam_cond_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond1_2': {
          category: "input",
          type: "select",
          style: "width: 60px;",
          options: restrictparam_cond_2_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@target1': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_target1,
          type: "filteringSelect",
          style: "width: 250px;",
          required: false
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction1': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_nullaction1,
          type: "select",
          options: restrictparam_nullaction_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@source2': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_source1,
          type: "select",
          style: "width: 80px;",
          options: restrictparam_source_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond2': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_cond1,
          type: "select",
          style: "width: 120px;",
          options: restrictparam_cond_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond2_2': {
          category: "input",
          type: "select",
          style: "width: 60px;",
          options: restrictparam_cond_2_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction2': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_nullaction1,
          type: "select",
          options: restrictparam_nullaction_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@source3': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_source1,
          type: "select",
          style: "width: 80px;",
          options: restrictparam_source_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond3': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_cond1,
          type: "select",
          style: "width: 120px;",
          options: restrictparam_cond_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond3_2': {
          category: "input",
          type: "select",
          style: "width: 60px;",
          options: restrictparam_cond_2_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction3': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_nullaction1,
          type: "select",
          options: restrictparam_nullaction_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@source4': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_source1,
          type: "select",
          style: "width: 80px;",
          options: restrictparam_source_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond4': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_cond1,
          type: "select",
          style: "width: 120px;",
          options: restrictparam_cond_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond4_2': {
          category: "input",
          type: "select",
          style: "width: 60px;",
          options: restrictparam_cond_2_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction4': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_nullaction1,
          type: "select",
          options: restrictparam_nullaction_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@source5': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_source1,
          type: "select",
          style: "width: 80px;",
          options: restrictparam_source_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond5': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_cond1,
          type: "select",
          style: "width: 120px;",
          options: restrictparam_cond_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond5_2': {
          category: "input",
          type: "select",
          style: "width: 60px;",
          options: restrictparam_cond_2_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction5': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_nullaction1,
          type: "select",
          options: restrictparam_nullaction_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@source6': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_source1,
          type: "select",
          style: "width: 80px;",
          options: restrictparam_source_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond6': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_cond1,
          type: "select",
          style: "width: 120px;",
          options: restrictparam_cond_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond6_2': {
          category: "input",
          type: "select",
          style: "width: 60px;",
          options: restrictparam_cond_2_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction6': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_nullaction1,
          type: "select",
          options: restrictparam_nullaction_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@source7': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_source1,
          type: "select",
          style: "width: 80px;",
          options: restrictparam_source_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond7': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_cond1,
          type: "select",
          style: "width: 120px;",
          options: restrictparam_cond_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond7_2': {
          category: "input",
          type: "select",
          style: "width: 60px;",
          options: restrictparam_cond_2_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction7': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_nullaction1,
          type: "select",
          options: restrictparam_nullaction_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@source8': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_source1,
          type: "select",
          style: "width: 80px;",
          options: restrictparam_source_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond8': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_cond1,
          type: "select",
          style: "width: 120px;",
          options: restrictparam_cond_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond8_2': {
          category: "input",
          type: "select",
          style: "width: 60px;",
          options: restrictparam_cond_2_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction8': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_nullaction1,
          type: "select",
          options: restrictparam_nullaction_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@source9': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_source1,
          type: "select",
          style: "width: 80px;",
          options: restrictparam_source_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond9': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_cond1,
          type: "select",
          style: "width: 120px;",
          options: restrictparam_cond_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond9_2': {
          category: "input",
          type: "select",
          style: "width: 60px;",
          options: restrictparam_cond_2_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction9': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_nullaction1,
          type: "select",
          options: restrictparam_nullaction_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@source10': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_source1,
          type: "select",
          style: "width: 80px;",
          options: restrictparam_source_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond10': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_cond1,
          type: "select",
          style: "width: 120px;",
          options: restrictparam_cond_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@cond10_2': {
          category: "input",
          type: "select",
          style: "width: 60px;",
          options: restrictparam_cond_2_option
        },
        'model/modelitem/relation/restrictparamlist/restrictparam/@nullaction10': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_restrictparam_nullaction1,
          type: "select",
          options: restrictparam_nullaction_option
        },
        'model/modelitem/relation/restrictparamlistForSearch': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlistForSearch,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/relation/restrictparamlist/@ignoreInvalidOptions': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_ignoreInvalidOptions,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/relation/restrictparamlistForSearch/@ignoreInvalidOptions': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_ignoreInvalidOptions,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/relation/restrictparamlist/@sort': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_restrictparamlist_sort,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_model_modelitem_relation_restrictparamlist_sort_1, value: "ascending"}, // 昇順
            {label: jfcRes.OPTION_model_modelitem_relation_restrictparamlist_sort_2, value: "descending"} // 降順
          ]
        },
        'model/modelitem/relation/restrictparamlist/@sort_2': {
          category: "input"
        },
        'model/modelitem/relation/@autoSelectFirstData': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_relation_autoSelectFirstData,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/relation_storeref/@ignoreRolevalidInCondition': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_relation_storeref_ignoreRolevalidInCondition,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/same': {
          category: "check",
          label: jfcRes.LABEL_model_modelitem_same,
          type: "validationTextbox",
          style: "width: 300px;"
        },
        'model/modelitem/same_2': {
          category: "check",
          type: "select",
          style: "width: 110px;",
          options: caution
        },
        'model/modelitem/searchtype': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_searchtype,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_model_modelitem_searchtype_1, value: "listbox"}, // コンボボックス
            {label: jfcRes.OPTION_model_modelitem_searchtype_2, value: "checkbox"}, // チェックボックス
            {label: jfcRes.OPTION_model_modelitem_searchtype_3, value: "radiobutton"} // ラジオボタン
          ]
        },
        'model/modelitem/selfref': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_selfref,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/storeref/@autocompleteForSearch': {
          category: "search",
          label: jfcRes.LABEL_model_modelitem_storeref_autocompleteForSearch,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/modelitem/@sync': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_sync
        },
        'model/modelitem/@sync_2': {
          category: "input",
          label: jfcRes.LABEL_model_modelitem_sync_2
        },
        'model/modelitem/unique': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_unique,
          type: "validationTextbox",
          style: "width: 100%;"
        },
        'model/modelitem/urlinfo/@displayfield': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_urlinfo_displayfield,
          type: "filteringSelect",
          style: "width: 250px;",
          required: false
        },
        'model/modelitem/urlinfo/@target': {
          category: "detail",
          label: jfcRes.LABEL_model_modelitem_urlinfo_target,
          type: "validationTextbox"
        },
/*
  'model/modelitem/zipcodeinfo/@addressfield': {
    type: "select",
    place: "model/modelitem/zipcodeinfo/@addressfield"
  },
*/
        'model/modelitem/userDefinedItem': {
          category: "userDefinedItem",
          label: jfcRes.LABEL_TAB_UserDefinedItemSettingListPane,
          type: "hidden"
        },
        'model/primaryKey/@autoid': {
          category: "detail",
          label: jfcRes.LABEL_model_primaryKey_autoid,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/primaryKey/@branch': {
          category: "detail",
          label: jfcRes.LABEL_model_primaryKey_branch,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/primaryKey/@start': {
          category: "detail",
          label: jfcRes.LABEL_model_primaryKey_start,
          type: "validationTextbox"
        },
        'model/primaryKey/@notUseAutoidAtCopyInsert': {
          category: "detail",
          label: jfcRes.LABEL_model_primaryKey_notUseAutoidAtCopyInsert,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'model/primaryKey/keyRule/@format': {
          category: "detail",
          label: jfcRes.LABEL_model_primaryKey_keyRule_format,
          type: "select",
          options: this.getPrimaryKeyKeyRuleFormat(jfcRes, locale),
        },
        'model/primaryKey/keyRule/@formatUserSetting': {
          category: "detail",
          label: jfcRes.LABEL_model_primaryKey_keyRule_formatUserSetting,
          type: "textarea"
        },
        'model/primaryKey/keyRule/@type=prefix': {
          category: "detail",
          label: jfcRes.LABEL_model_primaryKey_keyRule_type_prefix,
          type: "validationTextbox"
        },
        'model/primaryKey/keyRule/yearkind': {
          category: "detail",
          label: jfcRes.LABEL_model_primaryKey_keyRule_yearkind,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_model_primaryKey_keyRule_fiscalYear_1_value, value: "startInJanuary"},
            {label: jfcRes.OPTION_model_primaryKey_keyRule_fiscalYear_2_value, value: "startInFebruary"},
            {label: jfcRes.OPTION_model_primaryKey_keyRule_fiscalYear_3_value, value: "startInMarch"},
            {label: jfcRes.OPTION_model_primaryKey_keyRule_fiscalYear_4_value, value: "startInApril"},
            {label: jfcRes.OPTION_model_primaryKey_keyRule_fiscalYear_5_value, value: "startInMay"},
            {label: jfcRes.OPTION_model_primaryKey_keyRule_fiscalYear_6_value, value: "startInJune"},
            {label: jfcRes.OPTION_model_primaryKey_keyRule_fiscalYear_7_value, value: "startInJuly"},
            {label: jfcRes.OPTION_model_primaryKey_keyRule_fiscalYear_8_value, value: "startInAugust"},
            {label: jfcRes.OPTION_model_primaryKey_keyRule_fiscalYear_9_value, value: "startInSeptember"},
            {label: jfcRes.OPTION_model_primaryKey_keyRule_fiscalYear_10_value, value: "startInOctober"},
            {label: jfcRes.OPTION_model_primaryKey_keyRule_fiscalYear_11_value, value: "startInNovember"},
            {label: jfcRes.OPTION_model_primaryKey_keyRule_fiscalYear_12_value, value: "startInDecember"},
          ]
        },
        'modelitem/directcopy': {
          category: "input",
          label: jfcRes.LABEL_modelitem_directcopy,
          type: "filteringSelect",
          required: false
        },
        'modelitem/directcopy_2': {
          category: "input",
          label: jfcRes.LABEL_modelitem_directcopy_2,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'modelitem/filesize': {
          category: "input",
          label: jfcRes.LABEL_modelitem_filesize,
          type: "validationTextbox",
          style: "width: 100px;"
        },
        'modelitem/filesize_2': {
          category: "input",
          label: jfcRes.LABEL_modelitem_filesize_2,
          type: "validationTextbox",
          style: "width: 100px;"
        },
        'presentation/displayitem/@typeForShow=hidden': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_typeForShow_hidden,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@typeForShowList=hidden': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_typeForShowList_hidden,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@typeForShowListInParent=hidden': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_typeForShowListInParent_hidden,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@actionButtonVisible': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_actionButtonVisible,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@actionbuttonlabel': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_actionbuttonlabel,
          type: "validationTextbox"
        },
        'presentation/displayitem/@autotips': {
          category: "help",
          label: jfcRes.LABEL_presentation_displayitem_autotips,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@checkAcceptFileExt': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_checkAcceptFileExt
        },
        'presentation/displayitem/@clear': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_clear,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@style': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_style
        },
        'presentation/displayitem/@styleForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_style
        },
        'presentation/displayitem/@style_inputall': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_style_inputall,
          type: "textarea"
        },
        'presentation/displayitem/@style_inputall_2': {
          category: "input",
          type: "select",
          style: "width: 120px;",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_style_inputall_2_1, value: "inputFieldOnly"}, // 入力欄のみ
            {label: jfcRes.OPTION_presentation_displayitem_style_inputall_2_2, value: "inputFieldArea"}, // 入力欄を囲う領域
            {label: jfcRes.OPTION_presentation_displayitem_style_inputall_2_3, value: "inputFieldAndArea"} // 両方
          ]
        },
        'presentation/displayitem/@style_insert': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_style_insert,
          type: "textarea"
        },
        'presentation/displayitem/@style_update': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_style_update,
          type: "textarea"
        },
        'presentation/displayitem/@style_copy': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_style_copy,
          type: "textarea"
        },
        'presentation/displayitem/@style_updatelist': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_style_updatelist,
          type: "textarea"
        },
        'presentation/displayitem/@style_updatelistInParent': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_style_updatelistInParent,
          type: "textarea"
        },
        'presentation/displayitem/@alignForEdit': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_alignForEdit,
          type: "select",
          style: "width: 120px;",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_1, value: "leftAlignment"}, // 左寄せ
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_2, value: "centering"}, // センタリング
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_3, value: "rightAlignment"}  // 右寄せ
          ]
        },
        'presentation/displayitem/@valignForEdit': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_valignForEdit,
          type: "select",
          style: "width: 120px;",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_1, value: "top"}, // 上寄せ
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_2, value: "centering"}, // センタリング
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_3, value: "bottom"} // 下寄せ
          ]
        },
        'presentation/displayitem/@cursorPosition': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_cursorPosition,
          type: "select",
          style: "width: 80px;",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_cursorPosition_1, value: "leftAlignment"}, // 左寄せ
            {label: jfcRes.OPTION_presentation_displayitem_cursorPosition_2, value: "rightAlignment"} // 右寄せ
          ]
        },
        'presentation/displayitem/@displayRoleid': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_displayRoleid,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@displaycontrol': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_displaycontrol,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@barGauge': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_barGauge,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ],
        },
        'presentation/displayitem/@dualSelectInput': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_dualSelectInput,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@labelalign': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_labelalign,
          type: "select",
          options: [
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_presentation_displayitem_labelalign_1, value: "horizontalDirection"}, // 横→
            {label: jfcRes.OPTION_presentation_displayitem_labelalign_2, value: "verticalDirection"} // 縦↓
          ]
        },
        'presentation/displayitem/@labelnowrap': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_labelnowrap,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@labelnowrapForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_labelnowrap,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@labelnowrapForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_labelnowrap,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@displaylabel=false': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_displaylabel_false,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@labelalignForShow': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_labelalignForShow,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_1, value: "leftAlignment"}, // 左寄せ
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_2, value: "centering"}, // センタリング
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_3, value: "rightAlignment"} // 右寄せ
          ]
        },
        'presentation/displayitem/@labelalignForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_labelalignForShow,
          type: "select",
          options: [
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_1, value: "leftAlignment"}, // 左寄せ
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_2, value: "centering"}, // センタリング
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_3, value: "rightAlignment"} // 右寄せ
          ]
        },
        'presentation/displayitem/@labelalignForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_labelalignForShow,
          type: "select",
          options: [
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_1, value: "leftAlignment"}, // 左寄せ
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_2, value: "centering"}, // センタリング
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_3, value: "rightAlignment"} // 右寄せ
          ]
        },
        'presentation/displayitem/@labelheight': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_labelheight,
        },
        'presentation/displayitem/@labelheightForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_labelheight,
        },
        'presentation/displayitem/@labelheightForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_labelheight,
        },
        'presentation/displayitem/@labelnameForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_labelnameForShow
        },
        'presentation/displayitem/@labelnameForShow': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_labelnameForShow
        },
        'presentation/displayitem/@labelnameForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_labelnameForShow
        },
        'presentation/displayitem/@labelstyleForShow': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_style
        },
        'presentation/displayitem/@labelstyleForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_style
        },
        'presentation/displayitem/@labelstyleForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_style
        },
        'presentation/displayitem/@labelvalignForShow': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_labelvalignForShow,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_1, value: "top"}, // 上寄せ
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_2, value: "centering"}, // センタリング
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_3, value: "bottom"} // 下寄せ
          ]
        },
        'presentation/displayitem/@labelvalignForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_labelvalignForShow,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_1, value: "top"}, // 上寄せ
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_2, value: "centering"}, // センタリング
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_3, value: "bottom"} // 下寄せ
          ]
        },
        'presentation/displayitem/@labelvalignForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_labelvalignForShow,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_1, value: "top"}, // 上寄せ
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_2, value: "centering"}, // センタリング
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_3, value: "bottom"} // 下寄せ
          ]
        },
        'presentation/displayitem/@labelwidth': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_labelwidth,
        },
        'presentation/displayitem/@labelwidthForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_labelwidth,
        },
        'presentation/displayitem/@labelwidthForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_labelwidth,
        },
        'presentation/displayitem/@maxlengthForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_maxlengthForShowList
        },
        'presentation/displayitem/@valueClass': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_valueClass
        },
        'presentation/displayitem/@width': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_width,
        },
        'presentation/displayitem/@widthForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_width,
        },
        'presentation/displayitem/displaychart/@title': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_displaychart_title,
        },
        'presentation/displayitem/displaychart/@label': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_displaychart_label,
        },
        'presentation/displayitem/displaychart/@axisLabel': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_displaychart_axisLabel,
        },
        'presentation/displayitem/displaychart/@color': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_displaychart_color,
        },
        'presentation/displayitem/displaychart/@dataItemNamesForShow': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_displaychart_dataItemNamesForShow,
        },
        'presentation/displayitem/displaychart/@outputItemIdForShow': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_displaychart_outputItemIdForShow,
        },
        'presentation/displayitem/displaychart/@type': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_displaychart_type,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_displaychart_type_1, value: "bar"},
            {label: jfcRes.OPTION_presentation_displayitem_displaychart_type_2, value: "horizontalBar"},
            {label: jfcRes.OPTION_presentation_displayitem_displaychart_type_3, value: "line"},
            {label: jfcRes.OPTION_presentation_displayitem_displaychart_type_4, value: "pie"},
            {label: jfcRes.OPTION_presentation_displayitem_displaychart_type_5, value: "doughnut"},
            {label: jfcRes.OPTION_presentation_displayitem_displaychart_type_6, value: "scatter"},
            {label: jfcRes.OPTION_presentation_displayitem_displaychart_type_7, value: "radar"},
          ]
        },
        'presentation/displayitem/displaychart/@heightForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_displaychart_heightForShowList,
          type: "numberTextbox",
          style: "width: 50px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/displaychart/@widthForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_displaychart_widthForShowList,
          type: "numberTextbox",
          style: "width: 50px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/displaytext/@position=field': {
          category: "help",
          label: jfcRes.LABEL_presentation_displayitem_displaytext_position_field,
          type: "textarea"
        },
        'presentation/displayitem/displaytext[@position=field]/@style': {
          category: "help",
          label: jfcRes.LABEL_presentation_displayitem_displaytext_position_field__style
        },
        'presentation/displayitem/displaytext/@position=label': {
          category: "help",
          label: jfcRes.LABEL_presentation_displayitem_displaytext_position_label,
          type: "textarea"
        },
        'presentation/displayitem/displaytext[@position=label]/@style': {
          category: "help",
          label: jfcRes.LABEL_presentation_displayitem_displaytext_position_label__style
        },
        'presentation/displayitem/@tooltip': {
          category: "help",
          label: jfcRes.LABEL_presentation_displayitem_tooltip,
          type: "textarea"
        },
        'presentation/displayitem/@placeholder': {
          category: "help",
          label: jfcRes.LABEL_presentation_displayitem_placeholder,
        },
        'presentation/displayitem/@align': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_align,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_1, value: "leftAlignment"}, // 左寄せ
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_2, value: "centering"}, // センタリング
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_3, value: "rightAlignment"} // 右寄せ
          ]
        },
        'presentation/displayitem/@alignForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_align,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_1, value: "leftAlignment"}, // 左寄せ
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_2, value: "centering"}, // センタリング
            {label: jfcRes.OPTION_presentation_displayitem_alignForEdit_3, value: "rightAlignment"} // 右寄せ
          ]
        },
        'presentation/displayitem/@valign': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_valign,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_1, value: "top"}, // 上寄せ
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_2, value: "centering"}, // センタリング
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_3, value: "bottom"} // 下寄せ
          ]
        },
        'presentation/displayitem/@valignForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_valign,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_1, value: "top"}, // 上寄せ
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_2, value: "centering"}, // センタリング
            {label: jfcRes.OPTION_presentation_displayitem_valignForEdit_3, value: "bottom"} // 下寄せ
          ]
        },
        'presentation/displayitem/@nowrap': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_nowrap,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@nowrapForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_nowrap,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@enterKeyAction': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_enterKeyAction,
          type: "select",
          options: [
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_presentation_displayitem_enterKeyAction_1, value: "ignore"}, // 無視する
            {label: jfcRes.OPTION_presentation_displayitem_enterKeyAction_2, value: "asTabkey"}, // タブキー扱い
            {label: jfcRes.OPTION_presentation_displayitem_enterKeyAction_3, value: "pressButton"} // ボタン押下
          ]
        },
        'presentation/displayitem/handwriting/@height': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_handwriting_height,
          type: "numberTextbox",
          style: "width: 50px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/handwriting/@heightForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_handwriting_height,
          type: "numberTextbox",
          style: "width: 50px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/handwriting/@width': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_handwriting_width,
          type: "numberTextbox",
          style: "width: 50px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/handwriting/@widthForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_handwriting_width,
          type: "numberTextbox",
          style: "width: 50px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/@height': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_height,
        },
        'presentation/displayitem/@heightForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_height,
        },
        'presentation/displayitem/@hidden': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_hidden,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@imageheightForshow': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_imageheightForshow,
          type: "numberTextbox",
          style: "width: 50px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/@imagesizeunitForshow': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_imagesizeunitForshow,
          type: "select",
          options: [
            {label: "px", value: "px"},
            {label: "%", value: "%"},
          ],
          style: "width: 50px;",
        },
        'presentation/displayitem/@imagewidthForshow': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_imagewidthForshow,
          type: "numberTextbox",
          style: "width: 50px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/@imageheightForshowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_imageheightForshow,
          type: "numberTextbox",
          style: "width: 50px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/@imagewidthForshowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_imagewidthForshow,
          type: "numberTextbox",
          style: "width: 50px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/@ime': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_ime,
          type: "select",
          options: [
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_presentation_displayitem_ime_1, value: "on"}, // オン
            {label: jfcRes.OPTION_presentation_displayitem_ime_2, value: "off"}, // オフ（英語モード）
            {label: jfcRes.OPTION_presentation_displayitem_ime_3, value: "invalid"} // 無効
          ]
        },
        'presentation/displayitem/@inputmaxlength': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_inputmaxlength,
          type: "numberTextbox",
          style: "width: 90px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/@inputmaxlengthForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_inputmaxlength,
          type: "numberTextbox",
          style: "width: 90px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/inputtype/pseudo_checkbox': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_inputtype_pseudo_checkbox,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/inputtype/pseudo_checkbox/value': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_inputtype_pseudo_checkbox_value,
          type: "validationTextbox",
          style: "width: 50px;"
        },
        'presentation/displayitem/@nendoBeginMonth': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_nendoBeginMonth,
          type: "select",
          options: [
            {label: "", value: " "},
            {label: "1", value: "1"},
            {label: "2", value: "2"},
            {label: "3", value: "3"},
            {label: "4", value: "4"},
            {label: "5", value: "5"},
            {label: "6", value: "6"},
            {label: "7", value: "7"},
            {label: "8", value: "8"},
            {label: "9", value: "9"},
            {label: "10", value: "10"},
            {label: "11", value: "11"},
            {label: "12", value: "12"}
          ]
        },
        'presentation/displayitem/@numberformat': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_numberformat,
          type: "textarea"
        },
        'presentation/displayitem/@numberformatCombo': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_numberformatCombo,
          type: "select",
          options: [
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_presentation_displayitem_numberformatCombo_1, value: jfcRes.OPTION_presentation_displayitem_numberformatCombo_1},
            {label: jfcRes.OPTION_presentation_displayitem_numberformatCombo_2, value: jfcRes.OPTION_presentation_displayitem_numberformatCombo_2},
            {label: jfcRes.OPTION_presentation_displayitem_numberformatCombo_3, value: jfcRes.OPTION_presentation_displayitem_numberformatCombo_3},
            {label: jfcRes.OPTION_presentation_displayitem_numberformatCombo_4, value: jfcRes.OPTION_presentation_displayitem_numberformatCombo_4},
            {label: jfcRes.OPTION_presentation_displayitem_numberformatCombo_5, value: jfcRes.OPTION_presentation_displayitem_numberformatCombo_5}
          ]
        },
        'presentation/displayitem/@onChange=this.form.submit': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_onChange_this_form_submit,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@outputfilename': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_outputfilename,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@outputfilenamehref': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_outputfilenamehref,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@paddingForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_paddingForSearch
        },
        'presentation/displayitem/@poststring': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_poststring
        },
        'presentation/displayitem/@prestring': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_prestring
        },
        'presentation/displayitem/@barGaugeColor': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_barGaugeColor,
          style: "width: 90px;",
        },
        'presentation/displayitem/@barGaugeMaxValue': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_barGaugeMaxValue,
          type: "numberTextbox",
          style: "width: 90px;",
          constraints: {pattern: "####"},
        },
        'presentation/displayitem/@barGaugeUnit': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_barGaugeUnit,
          style: "width: 30px;",
        },
        'presentation/displayitem/@readonly': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_hidden,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@readonlyForSearch': {
          category: "search",
          label: jfcRes.LABEL_presentation_displayitem_readonlyForSearch,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/richtextarea/@height': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_richtextarea_height,
          style: "width: 50px"
        },
        'presentation/displayitem/richtextarea/@width': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_richtextarea_width,
          style: "width: 50px"
        },
        'presentation/displayitem/richtextarea/plugin/@style': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_richtextarea_plugin_style,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/richtextarea/plugin/@fontsize': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_richtextarea_plugin_fontsize,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/richtextarea/plugin/@color': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_richtextarea_plugin_color,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/richtextarea/plugin/@list': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_richtextarea_plugin_list,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/richtextarea/plugin/@indent': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_richtextarea_plugin_indent,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/richtextarea/plugin/@layout': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_richtextarea_plugin_layout,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/richtextarea/extraplugin/@insertImage': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_richtextarea_extraplugin_insertImage,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/richtextarea/extraplugin/@viewsource': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_richtextarea_extraplugin_viewsource,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@sortbutton': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_sortbutton,
          type: "select",
          options: [
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_presentation_displayitem_sortbutton_1, value: "ascending_descending"}, // 昇順／降順
            {label: jfcRes.OPTION_presentation_displayitem_sortbutton_2, value: "ascending"}, // 昇順
            {label: jfcRes.OPTION_presentation_displayitem_sortbutton_3, value: "descending"} // 降順
          ]
        },
        'presentation/displayitem/@storerefdisplay': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_storerefdisplay,
          type: "select",
          options:[
            {label: "", value: " "},
            {label: jfcRes.OPTION_presentation_displayitem_storerefdisplay_1, value: "searchScreen"} // 検索画面
          ]
        },
        'presentation/displayitem/@subformatForEdit': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_subformatForEdit,
          type: "select",
          options: this.getDisplayitemSubformatOptions(jfcRes, locale),
        },
        'presentation/displayitem/@textarea2label': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_textarea2label,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@textarea2labelForShowList': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_textarea2labelForShowList,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@type': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_type,
          type: "select",
          options: [
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_presentation_displayitem_type_1, value: "textarea"}, // テキストエリア
            {label: jfcRes.OPTION_presentation_displayitem_type_2, value: "rtextarea"}, // テキストエリア(リッチ)
            {label: jfcRes.OPTION_presentation_displayitem_type_3, value: "password"}, // パスワード
            {label: jfcRes.OPTION_presentation_displayitem_type_4, value: "numberformat"}, // 数字
            {label: jfcRes.OPTION_presentation_displayitem_type_5, value: "handwriting"}, // 手書き
            {label: jfcRes.OPTION_presentation_displayitem_type_6, value: "barcodeReader"}, // バーコード
          ]
        },
        'presentation/displayitem/@type_ext': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_type_ext,
          type: "select",
          options: [
            {label: "", value: " ", selected: true},
            {label: jfcRes.OPTION_presentation_displayitem_type_ext_1, value: "numberformat"}, // 数字
            {label: jfcRes.OPTION_presentation_displayitem_type_ext_2, value: "mailaddress"}, // メールアドレス
            {label: jfcRes.OPTION_presentation_displayitem_type_ext_3, value: "URL"},
            {label: jfcRes.OPTION_presentation_displayitem_type_ext_4, value: "telephone"}, // 電話番号
          ]
        },
        'presentation/displayitem/@urlImageActive': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_urlImageActive,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@urlImageEnlarge': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_urlImageEnlarge,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@useCheckYNimage': {
          category: "output",
          label: jfcRes.LABEL_presentation_displayitem_useCheckYNimage,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displayitem/@multipleSeparator': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_multipleSeparator,
          type: "validationTextbox",
          style: "width: 80px;"
        },
        'presentation/displayitem/@multipleSeparatorForShow': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_multipleSeparatorForShow,
          type: "validationTextbox",
          style: "width: 80px;"
        },
        'presentation/displayitem[@type=textarea]/@cols': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_type_textarea__cols,
          type: "validationTextbox",
          style: "width: 50px;"
        },
        'presentation/displayitem[@type=textarea]/@rows': {
          category: "input",
          label: jfcRes.LABEL_presentation_displayitem_type_textarea__rows,
          type: "validationTextbox",
          style: "width: 50px;"
        },
        'presentation/displaymodel/@foldableForContainer': {
          category: "input",
          label: jfcRes.LABEL_presentation_displaymodel_foldableForContainer,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ],
        },
        'presentation/displaymodel/@foldedForContainer': {
          category: "input",
          label: jfcRes.LABEL_presentation_displaymodel_foldedForContainer,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ],
        },
        'presentation/displaymodel/@overflowForContainer': {
          category: "input",
          label: jfcRes.LABEL_presentation_displaymodel_overflowForContainer,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ]
        },
        'presentation/displaymodel/@heightForContainer': {
          category: "input",
          label: jfcRes.LABEL_presentation_displaymodel_heightForContainer,
          type: "validationTextbox",
          style: "width: 50px;"
        },
        'presentation/displaymodel/link[@action="Add"]/@label': {
          category: "input",
          label: jfcRes.LABEL_presentation_displaymodel_link_action_Add__label
        },
        'presentation/displaymodel/link[@action="Add"]/@showcondition': {
          category: "input",
          label: jfcRes.LABEL_presentation_displaymodel_link_action_Add__showcondition,
          type: "checkbox",
          options:[
            {value: jfcRes.OPTION_CHECKED}
          ],
          event: "none"
        },
        'presentation/displaymodel/link[@action="Add"]/@showconditionCondition': {
          category: "input",
          label: jfcRes.LABEL_presentation_displaymodel_link_action_Add__showconditionCondition,
          type: "textarea",
          event: "none"
        },
        'ref_model/modelitem/@type': {
          category: "detail",
          type: "validationTextbox"
        }
      };
    },

  });
});
